#include <nepomuk_includes.h>

#include <smoke.h>
#include <nepomuk_smoke.h>

namespace __smokenepomuk {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KSharedConfig
      switch(to) {
        case 4: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 5:   //KStandardDirs
      switch(to) {
        case 5: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 6:   //KTagCloudWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagCloudWidget*)xptr;
        case 61: return (void*)(QObject*)(KTagCloudWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)(KTagCloudWidget*)xptr;
        default: return xptr;
      }
    case 7:   //KTagDisplayWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagDisplayWidget*)xptr;
        case 61: return (void*)(QObject*)(KTagDisplayWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 73: return (void*)(QUrl*)(KUrl*)xptr;
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Class
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Class*)xptr;
        case 10: return (void*)(Nepomuk::Class*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::DesktopOntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::DesktopOntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Entity
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)xptr;
        case 10: return (void*)(Nepomuk::Class*)(Nepomuk::Entity*)xptr;
        case 20: return (void*)(Nepomuk::Property*)(Nepomuk::Entity*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::File
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)(Nepomuk::File*)xptr;
        case 13: return (void*)(Nepomuk::File*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::FileOntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::FileOntologyLoader*)xptr;
        case 14: return (void*)(Nepomuk::FileOntologyLoader*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Literal
      switch(to) {
        case 15: return (void*)(Nepomuk::Literal*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::NepomukOntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::NepomukOntologyLoader*)xptr;
        case 16: return (void*)(Nepomuk::NepomukOntologyLoader*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Ontology
      switch(to) {
        case 17: return (void*)(Nepomuk::Ontology*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::OntologyLoader
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyLoader*)xptr;
        case 14: return (void*)(Nepomuk::FileOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 16: return (void*)(Nepomuk::NepomukOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::OntologyManager
      switch(to) {
        case 19: return (void*)(Nepomuk::OntologyManager*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Property
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Property*)xptr;
        case 20: return (void*)(Nepomuk::Property*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 21: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::Query
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::Term
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Resource
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)xptr;
        case 31: return (void*)(Nepomuk::Thing*)(Nepomuk::Resource*)xptr;
        case 28: return (void*)(Nepomuk::Tag*)(Nepomuk::Resource*)xptr;
        case 13: return (void*)(Nepomuk::File*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::ResourceData
      switch(to) {
        case 25: return (void*)(Nepomuk::ResourceData*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::ResourceManager
      switch(to) {
        case 61: return (void*)(QObject*)(Nepomuk::ResourceManager*)xptr;
        case 26: return (void*)(Nepomuk::ResourceManager*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Service
      switch(to) {
        case 61: return (void*)(QObject*)(Nepomuk::Service*)xptr;
        case 27: return (void*)(Nepomuk::Service*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Tag
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)(Nepomuk::Tag*)xptr;
        case 28: return (void*)(Nepomuk::Tag*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::TagCloud
      switch(to) {
        case 6: return (void*)(KTagCloudWidget*)(Nepomuk::TagCloud*)xptr;
        case 76: return (void*)(QWidget*)(Nepomuk::TagCloud*)xptr;
        case 61: return (void*)(QObject*)(Nepomuk::TagCloud*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)xptr;
        default: return xptr;
      }
    case 30:   //Nepomuk::TagWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Nepomuk::TagWidget*)xptr;
        case 61: return (void*)(QObject*)(Nepomuk::TagWidget*)xptr;
        case 30: return (void*)(Nepomuk::TagWidget*)xptr;
        default: return xptr;
      }
    case 31:   //Nepomuk::Thing
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)(Nepomuk::Thing*)xptr;
        case 31: return (void*)(Nepomuk::Thing*)xptr;
        default: return xptr;
      }
    case 33:   //Nepomuk::Types::Class
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 33: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 34:   //Nepomuk::Types::Entity
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)xptr;
        case 37: return (void*)(Nepomuk::Types::Property*)(Nepomuk::Types::Entity*)xptr;
        case 36: return (void*)(Nepomuk::Types::Ontology*)(Nepomuk::Types::Entity*)xptr;
        case 33: return (void*)(Nepomuk::Types::Class*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 35:   //Nepomuk::Types::Literal
      switch(to) {
        case 35: return (void*)(Nepomuk::Types::Literal*)xptr;
        default: return xptr;
      }
    case 36:   //Nepomuk::Types::Ontology
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Ontology*)xptr;
        case 36: return (void*)(Nepomuk::Types::Ontology*)xptr;
        default: return xptr;
      }
    case 37:   //Nepomuk::Types::Property
      switch(to) {
        case 34: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 37: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 38:   //Nepomuk::Variant
      switch(to) {
        case 38: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 39:   //QActionEvent
      switch(to) {
        case 39: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QBool
      switch(to) {
        case 40: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 41:   //QChildEvent
      switch(to) {
        case 41: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QCloseEvent
      switch(to) {
        case 42: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QContextMenuEvent
      switch(to) {
        case 43: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDate
      switch(to) {
        case 44: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 45:   //QDateTime
      switch(to) {
        case 45: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 46:   //QDragEnterEvent
      switch(to) {
        case 46: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDragLeaveEvent
      switch(to) {
        case 47: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QDragMoveEvent
      switch(to) {
        case 48: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QDropEvent
      switch(to) {
        case 49: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QEvent
      switch(to) {
        case 50: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 51:   //QFocusEvent
      switch(to) {
        case 51: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QFont
      switch(to) {
        case 52: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 54:   //QHideEvent
      switch(to) {
        case 54: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QIcon
      switch(to) {
        case 55: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 56:   //QInputMethodEvent
      switch(to) {
        case 56: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QKeyEvent
      switch(to) {
        case 57: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QMetaObject
      switch(to) {
        case 58: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 30: return (void*)(Nepomuk::TagWidget*)(QObject*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)(QObject*)xptr;
        case 27: return (void*)(Nepomuk::Service*)(QObject*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QObject*)xptr;
        case 26: return (void*)(Nepomuk::ResourceManager*)(QObject*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QRegExp
      switch(to) {
        case 65: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 66:   //QResizeEvent
      switch(to) {
        case 66: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QStyle
      switch(to) {
        case 69: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 70:   //QTabletEvent
      switch(to) {
        case 70: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUrl
      switch(to) {
        case 73: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 30: return (void*)(Nepomuk::TagWidget*)(QWidget*)xptr;
        case 29: return (void*)(Nepomuk::TagCloud*)(QWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //Soprano::Model
      switch(to) {
        case 77: return (void*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 78:   //Soprano::Node
      switch(to) {
        case 78: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 79:   //Soprano::Statement
      switch(to) {
        case 79: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    76, 0,	// 1: QWidget
    12, 0,	// 3: Nepomuk::Entity
    18, 0,	// 5: Nepomuk::OntologyLoader
    24, 0,	// 7: Nepomuk::Resource
    61, 0,	// 9: QObject
    6, 0,	// 11: KTagCloudWidget
    34, 0,	// 13: Nepomuk::Types::Entity
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__TagWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTagCloudWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagDisplayWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__DesktopOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__File(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__FileOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__NepomukOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Resource(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__ResourceManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Tag(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagCloud(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Thing(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Variant(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//4
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//5
    { "KTagCloudWidget", false, 1, xcall_KTagCloudWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagCloudWidget) },	//6
    { "KTagDisplayWidget", false, 1, xcall_KTagDisplayWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagDisplayWidget) },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "Nepomuk", false, 0, xcall_Nepomuk, xenum_Nepomuk, Smoke::cf_namespace, 0 },	//9
    { "Nepomuk::Class", false, 3, xcall_Nepomuk__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Class) },	//10
    { "Nepomuk::DesktopOntologyLoader", false, 5, xcall_Nepomuk__DesktopOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::DesktopOntologyLoader) },	//11
    { "Nepomuk::Entity", false, 0, xcall_Nepomuk__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Entity) },	//12
    { "Nepomuk::File", false, 7, xcall_Nepomuk__File, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::File) },	//13
    { "Nepomuk::FileOntologyLoader", false, 5, xcall_Nepomuk__FileOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::FileOntologyLoader) },	//14
    { "Nepomuk::Literal", false, 0, xcall_Nepomuk__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Literal) },	//15
    { "Nepomuk::NepomukOntologyLoader", false, 5, xcall_Nepomuk__NepomukOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::NepomukOntologyLoader) },	//16
    { "Nepomuk::Ontology", false, 0, xcall_Nepomuk__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Ontology) },	//17
    { "Nepomuk::OntologyLoader", false, 0, xcall_Nepomuk__OntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::OntologyLoader) },	//18
    { "Nepomuk::OntologyManager", false, 0, xcall_Nepomuk__OntologyManager, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::OntologyManager) },	//19
    { "Nepomuk::Property", false, 3, xcall_Nepomuk__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Property) },	//20
    { "Nepomuk::Query::ComparisonTerm", true, 0, 0, 0, 0, 0 },	//21
    { "Nepomuk::Query::Query", true, 0, 0, 0, 0, 0 },	//22
    { "Nepomuk::Query::Term", true, 0, 0, 0, 0, 0 },	//23
    { "Nepomuk::Resource", false, 0, xcall_Nepomuk__Resource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Resource) },	//24
    { "Nepomuk::ResourceData", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::ResourceManager", false, 9, xcall_Nepomuk__ResourceManager, 0, Smoke::cf_virtual, sizeof(Nepomuk::ResourceManager) },	//26
    { "Nepomuk::Service", false, 9, xcall_Nepomuk__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Service) },	//27
    { "Nepomuk::Tag", false, 7, xcall_Nepomuk__Tag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Tag) },	//28
    { "Nepomuk::TagCloud", false, 11, xcall_Nepomuk__TagCloud, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagCloud) },	//29
    { "Nepomuk::TagWidget", false, 1, xcall_Nepomuk__TagWidget, xenum_Nepomuk__TagWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagWidget) },	//30
    { "Nepomuk::Thing", false, 7, xcall_Nepomuk__Thing, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Thing) },	//31
    { "Nepomuk::Types", false, 0, xcall_Nepomuk__Types, 0, Smoke::cf_namespace, 0 },	//32
    { "Nepomuk::Types::Class", false, 13, xcall_Nepomuk__Types__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Class) },	//33
    { "Nepomuk::Types::Entity", false, 0, xcall_Nepomuk__Types__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Entity) },	//34
    { "Nepomuk::Types::Literal", false, 0, xcall_Nepomuk__Types__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Types::Literal) },	//35
    { "Nepomuk::Types::Ontology", false, 13, xcall_Nepomuk__Types__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Ontology) },	//36
    { "Nepomuk::Types::Property", false, 13, xcall_Nepomuk__Types__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Property) },	//37
    { "Nepomuk::Variant", false, 0, xcall_Nepomuk__Variant, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Variant) },	//38
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QBool", true, 0, 0, 0, 0, 0 },	//40
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDate", true, 0, 0, 0, 0, 0 },	//44
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//45
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QEvent", true, 0, 0, 0, 0, 0 },	//50
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QFont", true, 0, 0, 0, 0, 0 },	//52
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//53
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QIcon", true, 0, 0, 0, 0, 0 },	//55
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//65
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QStyle", true, 0, 0, 0, 0, 0 },	//69
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUrl", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//77
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//78
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedConfig", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "KStandardDirs*", 5, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTagCloudWidget*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KTagDisplayWidget*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KUrl", 8, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::DesktopOntologyLoader*", 11, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Entity*", 12, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::ErrorCode", 9, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::File", 13, Smoke::t_class|Smoke::tf_stack },	//17
    { "Nepomuk::File&", 13, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::File*", 13, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::FileOntologyLoader*", 14, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Literal", 15, Smoke::t_class|Smoke::tf_stack },	//21
    { "Nepomuk::Literal&", 15, Smoke::t_class|Smoke::tf_ref },	//22
    { "Nepomuk::Literal*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Nepomuk::NepomukOntologyLoader*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Nepomuk::Ontology&", 17, Smoke::t_class|Smoke::tf_ref },	//25
    { "Nepomuk::Ontology*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Nepomuk::OntologyLoader*", 18, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Nepomuk::OntologyManager*", 19, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Nepomuk::Property&", 20, Smoke::t_class|Smoke::tf_ref },	//29
    { "Nepomuk::Property*", 20, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Nepomuk::Query::ComparisonTerm", 21, Smoke::t_class|Smoke::tf_stack },	//31
    { "Nepomuk::Query::Query", 22, Smoke::t_class|Smoke::tf_stack },	//32
    { "Nepomuk::Query::Term", 23, Smoke::t_class|Smoke::tf_stack },	//33
    { "Nepomuk::Resource", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Nepomuk::Resource&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Nepomuk::Resource*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::ResourceData*", 25, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::ResourceManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Nepomuk::Service*", 27, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Nepomuk::Tag", 28, Smoke::t_class|Smoke::tf_stack },	//40
    { "Nepomuk::Tag&", 28, Smoke::t_class|Smoke::tf_ref },	//41
    { "Nepomuk::Tag*", 28, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::TagCloud*", 29, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Nepomuk::TagWidget*", 30, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Nepomuk::TagWidget::ModeFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Nepomuk::TagWidget::ModeFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "Nepomuk::Thing", 31, Smoke::t_class|Smoke::tf_stack },	//47
    { "Nepomuk::Thing&", 31, Smoke::t_class|Smoke::tf_ref },	//48
    { "Nepomuk::Thing*", 31, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Nepomuk::Types::Class", 33, Smoke::t_class|Smoke::tf_stack },	//50
    { "Nepomuk::Types::Class&", 33, Smoke::t_class|Smoke::tf_ref },	//51
    { "Nepomuk::Types::Class*", 33, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Nepomuk::Types::Entity&", 34, Smoke::t_class|Smoke::tf_ref },	//53
    { "Nepomuk::Types::Entity*", 34, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Nepomuk::Types::Literal", 35, Smoke::t_class|Smoke::tf_stack },	//55
    { "Nepomuk::Types::Literal&", 35, Smoke::t_class|Smoke::tf_ref },	//56
    { "Nepomuk::Types::Literal*", 35, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Nepomuk::Types::Ontology&", 36, Smoke::t_class|Smoke::tf_ref },	//58
    { "Nepomuk::Types::Ontology*", 36, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Nepomuk::Types::Property", 37, Smoke::t_class|Smoke::tf_stack },	//60
    { "Nepomuk::Types::Property&", 37, Smoke::t_class|Smoke::tf_ref },	//61
    { "Nepomuk::Types::Property*", 37, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Nepomuk::Variant", 38, Smoke::t_class|Smoke::tf_stack },	//63
    { "Nepomuk::Variant&", 38, Smoke::t_class|Smoke::tf_ref },	//64
    { "Nepomuk::Variant*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QActionEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QBool", 40, Smoke::t_class|Smoke::tf_stack },	//67
    { "QChildEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QCloseEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QContextMenuEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QDate", 44, Smoke::t_class|Smoke::tf_stack },	//71
    { "QDateTime", 45, Smoke::t_class|Smoke::tf_stack },	//72
    { "QDragEnterEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QDragLeaveEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QDragMoveEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QDropEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QEvent*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QFlags<Nepomuk::TagWidget::ModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFocusEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHash<QString,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QHash<QUrl,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QHideEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QIcon", 55, Smoke::t_class|Smoke::tf_stack },	//84
    { "QInputMethodEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QKeyEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QList<Nepomuk::Resource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<Nepomuk::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Nepomuk::Types::Class>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<QDate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<QTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QList<const Nepomuk::Class*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<const Nepomuk::Property*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<unsigned long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QMap<QString,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QMetaObject::Call", 58, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QRegExp&", 65, Smoke::t_class|Smoke::tf_ref },	//114
    { "QResizeEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//117
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//120
    { "QStyle&", 69, Smoke::t_class|Smoke::tf_ref },	//121
    { "QTabletEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QTime", 71, Smoke::t_class|Smoke::tf_stack },	//123
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QUrl", 73, Smoke::t_class|Smoke::tf_stack },	//125
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//126
    { "QVariant::Type", 74, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Qt::Alignment", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QtMsgType", 53, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QtValidLicenseForActiveQtModule", 53, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtValidLicenseForCoreModule", 53, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtValidLicenseForDBusModule", 53, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtValidLicenseForDeclarativeModule", 53, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtValidLicenseForGuiModule", 53, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtValidLicenseForHelpModule", 53, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtValidLicenseForMultimediaModule", 53, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtValidLicenseForNetworkModule", 53, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForOpenGLModule", 53, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForOpenVGModule", 53, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForQt3SupportLightModule", 53, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForQt3SupportModule", 53, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForScriptModule", 53, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForScriptToolsModule", 53, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForSqlModule", 53, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForSvgModule", 53, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForTestModule", 53, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForXmlModule", 53, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForXmlPatternsModule", 53, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Soprano::Model*", 77, Smoke::t_class|Smoke::tf_ptr },	//223
    { "Soprano::Node", 78, Smoke::t_class|Smoke::tf_stack },	//224
    { "Soprano::RdfSerialization", 0, Smoke::t_voidp|Smoke::tf_stack },	//225
    { "Soprano::Statement", 79, Smoke::t_class|Smoke::tf_stack },	//226
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//228
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "const Nepomuk::DesktopOntologyLoader&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const Nepomuk::File&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const Nepomuk::FileOntologyLoader&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const Nepomuk::Literal&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const Nepomuk::NepomukOntologyLoader&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const Nepomuk::Ontology&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const Nepomuk::Ontology*", 17, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//240
    { "const Nepomuk::OntologyLoader&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const Nepomuk::OntologyManager&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const Nepomuk::Property&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const Nepomuk::Property*", 20, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//244
    { "const Nepomuk::Query::Query&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const Nepomuk::Resource&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const Nepomuk::Tag&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const Nepomuk::Thing&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const Nepomuk::Types::Class&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const Nepomuk::Types::Entity&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const Nepomuk::Types::Literal&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const Nepomuk::Types::Ontology&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const Nepomuk::Types::Property&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const Nepomuk::Variant&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDate&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDateTime&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QFont&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QList<Nepomuk::Resource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QList<Nepomuk::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QList<Nepomuk::Variant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QList<QDate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QList<QDateTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QList<QTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QList<long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QList<unsigned long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QMetaObject&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QMetaObject*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//275
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//276
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRegExp&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QUrl&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const Soprano::Node&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//286
    { "const unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//289
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//290
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//291
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "mode_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//294
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//295
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//296
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//297
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//298
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    286, 0,	//1  const char*
    286, 286, 0,	//3  const char*, const char*
    286, 286, 290, 0,	//6  const char*, const char*, int
    107, 290, 297, 0,	//10  QMetaObject::Call, int, void**
    129, 0,	//14  QWidget*
    279, 0,	//16  const QString&
    279, 290, 0,	//18  const QString&, int
    273, 0,	//21  const QMap<QString,int>&
    290, 0,	//23  int
    115, 0,	//25  QResizeEvent*
    280, 0,	//27  const QStringList&
    247, 0,	//29  const Nepomuk::Resource&
    255, 0,	//31  const Nepomuk::Variant&
    16, 0,	//33  Nepomuk::ErrorCode
    285, 0,	//35  const Soprano::Node&
    283, 0,	//37  const QUrl&
    231, 0,	//39  const Nepomuk::Class&
    279, 279, 0,	//41  const QString&, const QString&
    232, 0,	//44  const Nepomuk::Class*
    233, 0,	//46  const Nepomuk::DesktopOntologyLoader&
    234, 0,	//48  const Nepomuk::Entity&
    230, 38, 0,	//50  const KUrl&, Nepomuk::ResourceManager*
    230, 0,	//53  const KUrl&
    235, 0,	//55  const Nepomuk::File&
    279, 225, 0,	//57  const QString&, Soprano::RdfSerialization
    225, 0,	//60  Soprano::RdfSerialization
    236, 0,	//62  const Nepomuk::FileOntologyLoader&
    237, 0,	//64  const Nepomuk::Literal&
    238, 0,	//66  const Nepomuk::NepomukOntologyLoader&
    239, 0,	//68  const Nepomuk::Ontology&
    241, 0,	//70  const Nepomuk::OntologyLoader&
    27, 0,	//72  Nepomuk::OntologyLoader*
    242, 0,	//74  const Nepomuk::OntologyManager&
    243, 0,	//76  const Nepomuk::Property&
    38, 0,	//78  Nepomuk::ResourceManager*
    279, 283, 0,	//80  const QString&, const QUrl&
    279, 283, 38, 0,	//83  const QString&, const QUrl&, Nepomuk::ResourceManager*
    283, 283, 0,	//87  const QUrl&, const QUrl&
    283, 283, 38, 0,	//90  const QUrl&, const QUrl&, Nepomuk::ResourceManager*
    37, 0,	//94  Nepomuk::ResourceData*
    265, 0,	//96  const QList<QUrl>&
    254, 255, 0,	//98  const Nepomuk::Types::Property&, const Nepomuk::Variant&
    283, 255, 0,	//101  const QUrl&, const Nepomuk::Variant&
    279, 255, 0,	//104  const QString&, const Nepomuk::Variant&
    259, 0,	//107  const QList<Nepomuk::Resource>&
    260, 0,	//109  const QList<Nepomuk::Tag>&
    248, 0,	//111  const Nepomuk::Tag&
    287, 0,	//113  const unsigned int&
    230, 250, 38, 0,	//115  const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*
    230, 250, 0,	//119  const KUrl&, const Nepomuk::Types::Class&
    223, 0,	//122  Soprano::Model*
    110, 228, 0,	//124  QObject*, bool
    228, 0,	//127  bool
    110, 0,	//129  QObject*
    279, 38, 0,	//131  const QString&, Nepomuk::ResourceManager*
    283, 38, 0,	//134  const QUrl&, Nepomuk::ResourceManager*
    40, 0,	//137  Nepomuk::Tag
    247, 129, 0,	//139  const Nepomuk::Resource&, QWidget*
    130, 0,	//142  Qt::Alignment
    46, 0,	//144  Nepomuk::TagWidget::ModeFlags
    249, 0,	//146  const Nepomuk::Thing&
    251, 0,	//148  const Nepomuk::Types::Entity&
    250, 0,	//150  const Nepomuk::Types::Class&
    252, 0,	//152  const Nepomuk::Types::Literal&
    253, 0,	//154  const Nepomuk::Types::Ontology&
    254, 0,	//156  const Nepomuk::Types::Property&
    284, 0,	//158  const QVariant&
    292, 0,	//160  long long
    294, 0,	//162  unsigned int
    295, 0,	//164  unsigned long long
    289, 0,	//166  double
    256, 0,	//168  const QDate&
    282, 0,	//170  const QTime&
    257, 0,	//172  const QDateTime&
    269, 0,	//174  const QList<int>&
    270, 0,	//176  const QList<long long>&
    271, 0,	//178  const QList<unsigned int>&
    272, 0,	//180  const QList<unsigned long long>&
    267, 0,	//182  const QList<bool>&
    268, 0,	//184  const QList<double>&
    262, 0,	//186  const QList<QDate>&
    264, 0,	//188  const QList<QTime>&
    263, 0,	//190  const QList<QDateTime>&
    261, 0,	//192  const QList<Nepomuk::Variant>&
    266, 0,	//194  const QList<Soprano::Node>&
    77, 0,	//196  QEvent*
    110, 77, 0,	//198  QObject*, QEvent*
    124, 0,	//201  QTimerEvent*
    68, 0,	//203  QChildEvent*
    108, 0,	//205  QMouseEvent*
    128, 0,	//207  QWheelEvent*
    86, 0,	//209  QKeyEvent*
    80, 0,	//211  QFocusEvent*
    113, 0,	//213  QPaintEvent*
    109, 0,	//215  QMoveEvent*
    69, 0,	//217  QCloseEvent*
    70, 0,	//219  QContextMenuEvent*
    122, 0,	//221  QTabletEvent*
    66, 0,	//223  QActionEvent*
    73, 0,	//225  QDragEnterEvent*
    75, 0,	//227  QDragMoveEvent*
    74, 0,	//229  QDragLeaveEvent*
    76, 0,	//231  QDropEvent*
    116, 0,	//233  QShowEvent*
    83, 0,	//235  QHideEvent*
    227, 0,	//237  _XEvent*
    111, 0,	//239  QPaintDevice::PaintDeviceMetric
    85, 0,	//241  QInputMethodEvent*
    165, 0,	//243  Qt::InputMethodQuery
    121, 0,	//245  QStyle&
    277, 0,	//247  const QPalette&
    258, 0,	//249  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Class",	//1
    "Class#",	//2
    "CommunicationError",	//3
    "DesktopOntologyLoader",	//4
    "DesktopOntologyLoader#",	//5
    "DisableTagClicking",	//6
    "DrawChildren",	//7
    "DrawWindowBackground",	//8
    "Entity",	//9
    "Entity#",	//10
    "File",	//11
    "File#",	//12
    "File##",	//13
    "FileOntologyLoader",	//14
    "FileOntologyLoader#",	//15
    "FileOntologyLoader$",	//16
    "FileOntologyLoader$?",	//17
    "IgnoreMask",	//18
    "InvalidType",	//19
    "KTagCloudWidget",	//20
    "KTagCloudWidget#",	//21
    "KTagDisplayWidget",	//22
    "KTagDisplayWidget#",	//23
    "LicensedActiveQt",	//24
    "LicensedCore",	//25
    "LicensedDBus",	//26
    "LicensedDeclarative",	//27
    "LicensedGui",	//28
    "LicensedHelp",	//29
    "LicensedMultimedia",	//30
    "LicensedNetwork",	//31
    "LicensedOpenGL",	//32
    "LicensedOpenVG",	//33
    "LicensedQt3Support",	//34
    "LicensedQt3SupportLight",	//35
    "LicensedScript",	//36
    "LicensedScriptTools",	//37
    "LicensedSql",	//38
    "LicensedSvg",	//39
    "LicensedTest",	//40
    "LicensedXml",	//41
    "LicensedXmlPatterns",	//42
    "Literal",	//43
    "Literal#",	//44
    "MiniMode",	//45
    "NepomukOntologyLoader",	//46
    "NepomukOntologyLoader#",	//47
    "NoError",	//48
    "Ontology",	//49
    "Ontology#",	//50
    "OntologyLoader",	//51
    "OntologyLoader#",	//52
    "OntologyManager",	//53
    "OntologyManager#",	//54
    "Property",	//55
    "Property#",	//56
    "Q_COMPLEX_TYPE",	//57
    "Q_DUMMY_TYPE",	//58
    "Q_MOVABLE_TYPE",	//59
    "Q_PRIMITIVE_TYPE",	//60
    "Q_STATIC_TYPE",	//61
    "QtCriticalMsg",	//62
    "QtDebugMsg",	//63
    "QtFatalMsg",	//64
    "QtSystemMsg",	//65
    "QtWarningMsg",	//66
    "RDFLiteralToValue",	//67
    "RDFLiteralToValue#",	//68
    "ReadOnly",	//69
    "Resource",	//70
    "Resource#",	//71
    "Resource##",	//72
    "Resource###",	//73
    "Resource$",	//74
    "Resource$#",	//75
    "Resource$##",	//76
    "Resource$$",	//77
    "Service",	//78
    "Service#",	//79
    "Service#$",	//80
    "StandardMode",	//81
    "Tag",	//82
    "Tag#",	//83
    "Tag##",	//84
    "Tag###",	//85
    "Tag$",	//86
    "Tag$#",	//87
    "Tag$##",	//88
    "TagCloud",	//89
    "TagCloud#",	//90
    "TagWidget",	//91
    "TagWidget#",	//92
    "TagWidget##",	//93
    "Thing",	//94
    "Thing#",	//95
    "Thing##",	//96
    "Thing###",	//97
    "Thing$",	//98
    "Thing$#",	//99
    "Thing$##",	//100
    "UnknownError",	//101
    "Variant",	//102
    "Variant#",	//103
    "Variant$",	//104
    "Variant?",	//105
    "actionEvent",	//106
    "addAltLabel",	//107
    "addAltLabel$",	//108
    "addAnnotation",	//109
    "addAnnotation#",	//110
    "addGroundingOccurrence",	//111
    "addGroundingOccurrence#",	//112
    "addIdentifier",	//113
    "addIdentifier$",	//114
    "addIsRelated",	//115
    "addIsRelated#",	//116
    "addIsTopicOf",	//117
    "addIsTopicOf#",	//118
    "addProperty",	//119
    "addProperty##",	//120
    "addSymbol",	//121
    "addSymbol$",	//122
    "addTag",	//123
    "addTag#",	//124
    "addTag$",	//125
    "addTag$$",	//126
    "addTags",	//127
    "addTags?",	//128
    "addTopic",	//129
    "addTopic#",	//130
    "addType",	//131
    "addType#",	//132
    "alignment",	//133
    "allClasses",	//134
    "allOntologies",	//135
    "allParentClasses",	//136
    "allProperties",	//137
    "allResources",	//138
    "allResourcesOfType",	//139
    "allResourcesOfType#",	//140
    "allResourcesOfType$",	//141
    "allResourcesWithProperty",	//142
    "allResourcesWithProperty##",	//143
    "allResourcesWithProperty$#",	//144
    "allSubClasses",	//145
    "allTags",	//146
    "altLabelUri",	//147
    "altLabels",	//148
    "annotationOf",	//149
    "annotationUri",	//150
    "annotations",	//151
    "append",	//152
    "append#",	//153
    "append$",	//154
    "assignedTags",	//155
    "autoUpdate",	//156
    "cardinality",	//157
    "changeEvent",	//158
    "childEvent",	//159
    "className",	//160
    "clear",	//161
    "clearCache",	//162
    "closeEvent",	//163
    "comment",	//164
    "comment$",	//165
    "connectNotify",	//166
    "contextMenuEvent",	//167
    "createManagerForModel",	//168
    "createManagerForModel#",	//169
    "createResourceFromUri",	//170
    "createResourceFromUri$",	//171
    "customEvent",	//172
    "dataType",	//173
    "dataTypeUri",	//174
    "defaultGraph",	//175
    "definingOntology",	//176
    "deleteInstance",	//177
    "description",	//178
    "descriptionUri",	//179
    "devType",	//180
    "dirResource",	//181
    "disconnectNotify",	//182
    "domain",	//183
    "domainOf",	//184
    "dragEnterEvent",	//185
    "dragLeaveEvent",	//186
    "dragMoveEvent",	//187
    "dropEvent",	//188
    "enabledChange",	//189
    "enterEvent",	//190
    "error",	//191
    "error$$",	//192
    "errorString",	//193
    "errorString$",	//194
    "event",	//195
    "eventFilter",	//196
    "exists",	//197
    "extractNamespace",	//198
    "extractNamespace#",	//199
    "fileName",	//200
    "findClassByLabel",	//201
    "findClassByLabel$",	//202
    "findClassByLabel$$",	//203
    "findClassByName",	//204
    "findClassByName$",	//205
    "findClassByUri",	//206
    "findClassByUri#",	//207
    "findPropertyByLabel",	//208
    "findPropertyByLabel$",	//209
    "findPropertyByLabel$$",	//210
    "findPropertyByName",	//211
    "findPropertyByName$",	//212
    "findPropertyByUri",	//213
    "findPropertyByUri#",	//214
    "focusInEvent",	//215
    "focusNextPrevChild",	//216
    "focusOutEvent",	//217
    "fontChange",	//218
    "fromNode",	//219
    "fromNode#",	//220
    "fromNodeList",	//221
    "fromNodeList?",	//222
    "fromResourceUri",	//223
    "fromResourceUri#",	//224
    "fromResourceUri##",	//225
    "fromResourceUri###",	//226
    "fromString",	//227
    "fromString$$",	//228
    "generateUniqueUri",	//229
    "generateUniqueUri$",	//230
    "genericDescription",	//231
    "genericIcon",	//232
    "genericLabel",	//233
    "getOntology",	//234
    "getOntology#",	//235
    "groundingOccurrences",	//236
    "hasProperty",	//237
    "hasProperty#",	//238
    "hasProperty##",	//239
    "hasProperty$",	//240
    "hasType",	//241
    "hasType#",	//242
    "heightForWidth",	//243
    "hideEvent",	//244
    "icon",	//245
    "identifierUri",	//246
    "identifiers",	//247
    "increaseUsageCount",	//248
    "init",	//249
    "initialized",	//250
    "inputMethodEvent",	//251
    "inputMethodQuery",	//252
    "instance",	//253
    "inverseProperty",	//254
    "isAvailable",	//255
    "isBool",	//256
    "isBoolList",	//257
    "isDate",	//258
    "isDateList",	//259
    "isDateTime",	//260
    "isDateTimeList",	//261
    "isDouble",	//262
    "isDoubleList",	//263
    "isFile",	//264
    "isInt",	//265
    "isInt64",	//266
    "isInt64List",	//267
    "isIntList",	//268
    "isList",	//269
    "isParentOf",	//270
    "isParentOf#",	//271
    "isRelatedOf",	//272
    "isRelatedUri",	//273
    "isRelateds",	//274
    "isResource",	//275
    "isResourceList",	//276
    "isString",	//277
    "isStringList",	//278
    "isSubClassOf",	//279
    "isSubClassOf#",	//280
    "isSubPropertyOf",	//281
    "isSubPropertyOf#",	//282
    "isTime",	//283
    "isTimeList",	//284
    "isTopicOfUri",	//285
    "isTopicOfs",	//286
    "isUnsignedInt",	//287
    "isUnsignedInt64",	//288
    "isUnsignedInt64List",	//289
    "isUnsignedIntList",	//290
    "isUrl",	//291
    "isUrlList",	//292
    "isValid",	//293
    "keyPressEvent",	//294
    "keyReleaseEvent",	//295
    "label",	//296
    "label$",	//297
    "labelUri",	//298
    "languageChange",	//299
    "leaveEvent",	//300
    "literalRangeType",	//301
    "load",	//302
    "load#",	//303
    "loadOntology",	//304
    "loadOntology#",	//305
    "mainModel",	//306
    "manager",	//307
    "maxCardinality",	//308
    "maxTagsShown",	//309
    "metaObject",	//310
    "metric",	//311
    "minCardinality",	//312
    "minimumSizeHint",	//313
    "modeFlags",	//314
    "mouseDoubleClickEvent",	//315
    "mouseMoveEvent",	//316
    "mousePressEvent",	//317
    "mouseReleaseEvent",	//318
    "moveEvent",	//319
    "name",	//320
    "naoNamespace",	//321
    "nepomukSystemStarted",	//322
    "nepomukSystemStopped",	//323
    "notifyError",	//324
    "notifyError$$",	//325
    "nrlNamespace",	//326
    "occurrences",	//327
    "operator QUrl",	//328
    "operator!=",	//329
    "operator!=#",	//330
    "operator=",	//331
    "operator=#",	//332
    "operator=$",	//333
    "operator==",	//334
    "operator==#",	//335
    "operator=?",	//336
    "paintEngine",	//337
    "paintEvent",	//338
    "paletteChange",	//339
    "parentClasses",	//340
    "parentOf",	//341
    "parentProperties",	//342
    "pimoThing",	//343
    "properties",	//344
    "property",	//345
    "property#",	//346
    "property$",	//347
    "qHash",	//348
    "qHash#",	//349
    "qt_metacall",	//350
    "qt_metacall$$?",	//351
    "qt_metacast",	//352
    "qt_metacast$",	//353
    "range",	//354
    "rangeOf",	//355
    "rating",	//356
    "ratingUri",	//357
    "rdfNamepace",	//358
    "rdfsNamespace",	//359
    "referencingOccurrences",	//360
    "remove",	//361
    "removeProperty",	//362
    "removeProperty#",	//363
    "removeProperty##",	//364
    "removeProperty$",	//365
    "removeResource",	//366
    "removeResource$",	//367
    "reset",	//368
    "reset$",	//369
    "resizeEvent",	//370
    "resizeEvent#",	//371
    "resourceModified",	//372
    "resourceModified$",	//373
    "resourceType",	//374
    "resourceTypeUri",	//375
    "resourceUri",	//376
    "selectedTags",	//377
    "selectionChanged",	//378
    "selectionChanged?",	//379
    "setAlignment",	//380
    "setAlignment$",	//381
    "setAltLabels",	//382
    "setAltLabels?",	//383
    "setAnnotations",	//384
    "setAnnotations?",	//385
    "setAssignedTags",	//386
    "setAssignedTags?",	//387
    "setAutoUpdate",	//388
    "setAutoUpdate$",	//389
    "setDefaultRepository",	//390
    "setDefaultRepository$",	//391
    "setDescription",	//392
    "setDescription$",	//393
    "setFileName",	//394
    "setFileName$",	//395
    "setIdentifiers",	//396
    "setIdentifiers?",	//397
    "setIsRelateds",	//398
    "setIsRelateds?",	//399
    "setIsTopicOfs",	//400
    "setIsTopicOfs?",	//401
    "setLabel",	//402
    "setLabel$",	//403
    "setMaxFontSize",	//404
    "setMaxFontSize$",	//405
    "setMaxTagsShown",	//406
    "setMaxTagsShown$",	//407
    "setMinFontSize",	//408
    "setMinFontSize$",	//409
    "setModeFlags",	//410
    "setModeFlags$",	//411
    "setOntologyLoader",	//412
    "setOntologyLoader#",	//413
    "setOverrideMainModel",	//414
    "setOverrideMainModel#",	//415
    "setProperty",	//416
    "setProperty##",	//417
    "setProperty$#",	//418
    "setRating",	//419
    "setRating$",	//420
    "setSelectedTags",	//421
    "setSelectedTags?",	//422
    "setSerialization",	//423
    "setSerialization?",	//424
    "setServiceInitialized",	//425
    "setServiceInitialized$",	//426
    "setSymbols",	//427
    "setSymbols?",	//428
    "setTaggedResource",	//429
    "setTaggedResource#",	//430
    "setTaggedResources",	//431
    "setTaggedResources?",	//432
    "setTags",	//433
    "setTags?",	//434
    "setTopics",	//435
    "setTopics?",	//436
    "setTypes",	//437
    "setTypes?",	//438
    "setVisible",	//439
    "showEvent",	//440
    "simpleType",	//441
    "sizeHint",	//442
    "staticMetaObject",	//443
    "styleChange",	//444
    "subClasses",	//445
    "subProperties",	//446
    "symbolUri",	//447
    "symbols",	//448
    "tabletEvent",	//449
    "tagClicked",	//450
    "tagClicked#",	//451
    "tagClicked$",	//452
    "tagOf",	//453
    "tagUri",	//454
    "tagWeight",	//455
    "tagWeight$",	//456
    "taggedResources",	//457
    "tags",	//458
    "timerEvent",	//459
    "toBool",	//460
    "toBoolList",	//461
    "toDate",	//462
    "toDateList",	//463
    "toDateTime",	//464
    "toDateTimeList",	//465
    "toDouble",	//466
    "toDoubleList",	//467
    "toFile",	//468
    "toInt",	//469
    "toInt64",	//470
    "toInt64List",	//471
    "toIntList",	//472
    "toNode",	//473
    "toNodeList",	//474
    "toResource",	//475
    "toResourceList",	//476
    "toString",	//477
    "toStringList",	//478
    "toTime",	//479
    "toTimeList",	//480
    "toUnsignedInt",	//481
    "toUnsignedInt64",	//482
    "toUnsignedInt64List",	//483
    "toUnsignedIntList",	//484
    "toUrl",	//485
    "toUrlList",	//486
    "toVariantList",	//487
    "topicUri",	//488
    "topics",	//489
    "tr",	//490
    "tr$",	//491
    "tr$$",	//492
    "tr$$$",	//493
    "trUtf8",	//494
    "trUtf8$",	//495
    "trUtf8$$",	//496
    "trUtf8$$$",	//497
    "type",	//498
    "typePredicate",	//499
    "types",	//500
    "updateTags",	//501
    "uri",	//502
    "url",	//503
    "usageCount",	//504
    "userVisible",	//505
    "valueToRDFNode",	//506
    "valueToRDFNode#",	//507
    "valuesToRDFNodes",	//508
    "valuesToRDFNodes#",	//509
    "variant",	//510
    "wheelEvent",	//511
    "windowActivationChange",	//512
    "x11Event",	//513
    "~Class",	//514
    "~DesktopOntologyLoader",	//515
    "~Entity",	//516
    "~File",	//517
    "~FileOntologyLoader",	//518
    "~KTagCloudWidget",	//519
    "~KTagDisplayWidget",	//520
    "~Literal",	//521
    "~NepomukOntologyLoader",	//522
    "~Ontology",	//523
    "~OntologyLoader",	//524
    "~OntologyManager",	//525
    "~Property",	//526
    "~Resource",	//527
    "~Service",	//528
    "~Tag",	//529
    "~TagCloud",	//530
    "~TagWidget",	//531
    "~Thing",	//532
    "~Variant",	//533
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 1},	//1 KTagCloudWidget::metaObject() const
    {6, 352, 1, 1, Smoke::mf_virtual, 296, 2},	//2 KTagCloudWidget::qt_metacast(const char*)
    {6, 490, 3, 2, Smoke::mf_static, 118, 3},	//3 KTagCloudWidget::tr(const char*, const char*)
    {6, 494, 3, 2, Smoke::mf_static, 118, 4},	//4 KTagCloudWidget::trUtf8(const char*, const char*)
    {6, 490, 6, 3, Smoke::mf_static, 118, 5},	//5 KTagCloudWidget::tr(const char*, const char*, int)
    {6, 494, 6, 3, Smoke::mf_static, 118, 6},	//6 KTagCloudWidget::trUtf8(const char*, const char*, int)
    {6, 350, 10, 3, Smoke::mf_virtual, 290, 7},	//7 KTagCloudWidget::qt_metacall(QMetaObject::Call, int, void**)
    {6, 20, 14, 1, Smoke::mf_ctor, 8, 8},	//8 KTagCloudWidget::KTagCloudWidget(QWidget*)
    {6, 455, 16, 1, Smoke::mf_const, 290, 9},	//9 KTagCloudWidget::tagWeight(const QString&) const
    {6, 123, 18, 2, Smoke::mf_slot, 0, 10},	//10 KTagCloudWidget::addTag(const QString&, int)
    {6, 127, 21, 1, Smoke::mf_slot, 0, 11},	//11 KTagCloudWidget::addTags(const QMap<QString,int>&)
    {6, 161, 0, 0, Smoke::mf_slot, 0, 12},	//12 KTagCloudWidget::clear()
    {6, 404, 23, 1, Smoke::mf_slot, 0, 13},	//13 KTagCloudWidget::setMaxFontSize(int)
    {6, 408, 23, 1, Smoke::mf_slot, 0, 14},	//14 KTagCloudWidget::setMinFontSize(int)
    {6, 450, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//15 KTagCloudWidget::tagClicked(const QString&)
    {6, 370, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//16 KTagCloudWidget::resizeEvent(QResizeEvent*)
    {6, 490, 1, 1, Smoke::mf_static, 118, 17},	//17 KTagCloudWidget::tr(const char*)
    {6, 494, 1, 1, Smoke::mf_static, 118, 18},	//18 KTagCloudWidget::trUtf8(const char*)
    {6, 20, 0, 0, Smoke::mf_ctor, 8, 19},	//19 KTagCloudWidget::KTagCloudWidget()
    {6, 443, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 274, 20},	//20 KTagCloudWidget::staticMetaObject() const
    {6, 519, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 KTagCloudWidget::~KTagCloudWidget()
    {7, 310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 1},	//22 KTagDisplayWidget::metaObject() const
    {7, 352, 1, 1, Smoke::mf_virtual, 296, 2},	//23 KTagDisplayWidget::qt_metacast(const char*)
    {7, 490, 3, 2, Smoke::mf_static, 118, 3},	//24 KTagDisplayWidget::tr(const char*, const char*)
    {7, 494, 3, 2, Smoke::mf_static, 118, 4},	//25 KTagDisplayWidget::trUtf8(const char*, const char*)
    {7, 490, 6, 3, Smoke::mf_static, 118, 5},	//26 KTagDisplayWidget::tr(const char*, const char*, int)
    {7, 494, 6, 3, Smoke::mf_static, 118, 6},	//27 KTagDisplayWidget::trUtf8(const char*, const char*, int)
    {7, 350, 10, 3, Smoke::mf_virtual, 290, 7},	//28 KTagDisplayWidget::qt_metacall(QMetaObject::Call, int, void**)
    {7, 22, 14, 1, Smoke::mf_ctor, 9, 8},	//29 KTagDisplayWidget::KTagDisplayWidget(QWidget*)
    {7, 433, 27, 1, Smoke::mf_slot, 0, 9},	//30 KTagDisplayWidget::setTags(const QStringList&)
    {7, 123, 16, 1, Smoke::mf_slot, 0, 10},	//31 KTagDisplayWidget::addTag(const QString&)
    {7, 127, 27, 1, Smoke::mf_slot, 0, 11},	//32 KTagDisplayWidget::addTags(const QStringList&)
    {7, 161, 0, 0, Smoke::mf_slot, 0, 12},	//33 KTagDisplayWidget::clear()
    {7, 450, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//34 KTagDisplayWidget::tagClicked(const QString&)
    {7, 490, 1, 1, Smoke::mf_static, 118, 14},	//35 KTagDisplayWidget::tr(const char*)
    {7, 494, 1, 1, Smoke::mf_static, 118, 15},	//36 KTagDisplayWidget::trUtf8(const char*)
    {7, 22, 0, 0, Smoke::mf_ctor, 9, 16},	//37 KTagDisplayWidget::KTagDisplayWidget()
    {7, 443, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 274, 17},	//38 KTagDisplayWidget::staticMetaObject() const
    {7, 520, 0, 0, Smoke::mf_dtor, 0, 18 },	//39 KTagDisplayWidget::~KTagDisplayWidget()
    {9, 358, 0, 0, Smoke::mf_static, 118, 1},	//40 Nepomuk::rdfNamepace()
    {9, 348, 29, 1, Smoke::mf_static, 294, 2},	//41 Nepomuk::qHash(const Nepomuk::Resource&)
    {9, 508, 31, 1, Smoke::mf_static, 96, 3},	//42 Nepomuk::valuesToRDFNodes(const Nepomuk::Variant&)
    {9, 390, 16, 1, Smoke::mf_static, 0, 4},	//43 Nepomuk::setDefaultRepository(const QString&)
    {9, 326, 0, 0, Smoke::mf_static, 118, 5},	//44 Nepomuk::nrlNamespace()
    {9, 193, 33, 1, Smoke::mf_static, 118, 6},	//45 Nepomuk::errorString(Nepomuk::ErrorCode)
    {9, 175, 0, 0, Smoke::mf_static, 118, 7},	//46 Nepomuk::defaultGraph()
    {9, 499, 0, 0, Smoke::mf_static, 118, 8},	//47 Nepomuk::typePredicate()
    {9, 359, 0, 0, Smoke::mf_static, 118, 9},	//48 Nepomuk::rdfsNamespace()
    {9, 321, 0, 0, Smoke::mf_static, 118, 10},	//49 Nepomuk::naoNamespace()
    {9, 67, 35, 1, Smoke::mf_static, 63, 11},	//50 Nepomuk::RDFLiteralToValue(const Soprano::Node&)
    {9, 198, 37, 1, Smoke::mf_static, 125, 12},	//51 Nepomuk::extractNamespace(const QUrl&)
    {9, 506, 31, 1, Smoke::mf_static, 224, 13},	//52 Nepomuk::valueToRDFNode(const Nepomuk::Variant&)
    {9, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 14},	//53 Nepomuk::NoError (enum)
    {9, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 15},	//54 Nepomuk::CommunicationError (enum)
    {9, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 16},	//55 Nepomuk::InvalidType (enum)
    {9, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 17},	//56 Nepomuk::UnknownError (enum)
    {10, 1, 0, 0, Smoke::mf_ctor, 12, 1},	//57 Nepomuk::Class::Class()
    {10, 1, 39, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//58 Nepomuk::Class::Class(const Nepomuk::Class&)
    {10, 331, 39, 1, 0, 11, 3},	//59 Nepomuk::Class::operator=(const Nepomuk::Class&)
    {10, 137, 0, 0, Smoke::mf_const, 100, 4},	//60 Nepomuk::Class::allProperties() const
    {10, 211, 16, 1, Smoke::mf_const, 244, 5},	//61 Nepomuk::Class::findPropertyByName(const QString&) const
    {10, 208, 41, 2, Smoke::mf_const, 244, 6},	//62 Nepomuk::Class::findPropertyByLabel(const QString&, const QString&) const
    {10, 213, 37, 1, Smoke::mf_const, 244, 7},	//63 Nepomuk::Class::findPropertyByUri(const QUrl&) const
    {10, 340, 0, 0, Smoke::mf_const, 99, 8},	//64 Nepomuk::Class::parentClasses() const
    {10, 445, 0, 0, Smoke::mf_const, 99, 9},	//65 Nepomuk::Class::subClasses() const
    {10, 270, 44, 1, Smoke::mf_const, 228, 10},	//66 Nepomuk::Class::isParentOf(const Nepomuk::Class*) const
    {10, 279, 44, 1, Smoke::mf_const, 228, 11},	//67 Nepomuk::Class::isSubClassOf(const Nepomuk::Class*) const
    {10, 302, 37, 1, Smoke::mf_static, 232, 12},	//68 Nepomuk::Class::load(const QUrl&)
    {10, 208, 16, 1, Smoke::mf_const, 244, 13},	//69 Nepomuk::Class::findPropertyByLabel(const QString&) const
    {10, 514, 0, 0, Smoke::mf_dtor, 0, 14 },	//70 Nepomuk::Class::~Class()
    {11, 4, 0, 0, Smoke::mf_ctor, 13, 1},	//71 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader()
    {11, 135, 0, 0, 0, 95, 2},	//72 Nepomuk::DesktopOntologyLoader::allOntologies()
    {11, 304, 37, 1, Smoke::mf_virtual, 97, 3},	//73 Nepomuk::DesktopOntologyLoader::loadOntology(const QUrl&)
    {11, 4, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 4},	//74 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader(const Nepomuk::DesktopOntologyLoader&)
    {11, 515, 0, 0, Smoke::mf_dtor, 0, 5 },	//75 Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader()
    {12, 9, 48, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 1},	//76 Nepomuk::Entity::Entity(const Nepomuk::Entity&)
    {12, 331, 48, 1, 0, 14, 2},	//77 Nepomuk::Entity::operator=(const Nepomuk::Entity&)
    {12, 176, 0, 0, Smoke::mf_const, 240, 3},	//78 Nepomuk::Entity::definingOntology() const
    {12, 320, 0, 0, Smoke::mf_const, 118, 4},	//79 Nepomuk::Entity::name() const
    {12, 502, 0, 0, Smoke::mf_const, 125, 5},	//80 Nepomuk::Entity::uri() const
    {12, 296, 16, 1, Smoke::mf_const, 118, 6},	//81 Nepomuk::Entity::label(const QString&) const
    {12, 164, 16, 1, Smoke::mf_const, 118, 7},	//82 Nepomuk::Entity::comment(const QString&) const
    {12, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 15, 8},	//83 Nepomuk::Entity::Entity()
    {12, 296, 0, 0, Smoke::mf_const, 118, 9},	//84 Nepomuk::Entity::label() const
    {12, 164, 0, 0, Smoke::mf_const, 118, 10},	//85 Nepomuk::Entity::comment() const
    {12, 516, 0, 0, Smoke::mf_dtor, 0, 11 },	//86 Nepomuk::Entity::~Entity()
    {13, 11, 50, 2, Smoke::mf_ctor, 19, 1},	//87 Nepomuk::File::File(const KUrl&, Nepomuk::ResourceManager*)
    {13, 11, 29, 1, Smoke::mf_ctor, 19, 2},	//88 Nepomuk::File::File(const Nepomuk::Resource&)
    {13, 331, 53, 1, 0, 18, 3},	//89 Nepomuk::File::operator=(const KUrl&)
    {13, 503, 0, 0, Smoke::mf_const, 10, 4},	//90 Nepomuk::File::url() const
    {13, 181, 0, 0, Smoke::mf_const, 17, 5},	//91 Nepomuk::File::dirResource() const
    {13, 11, 55, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 6},	//92 Nepomuk::File::File(const Nepomuk::File&)
    {13, 11, 0, 0, Smoke::mf_ctor, 19, 7},	//93 Nepomuk::File::File()
    {13, 11, 53, 1, Smoke::mf_ctor, 19, 8},	//94 Nepomuk::File::File(const KUrl&)
    {13, 517, 0, 0, Smoke::mf_dtor, 0, 9 },	//95 Nepomuk::File::~File()
    {14, 14, 0, 0, Smoke::mf_ctor, 20, 1},	//96 Nepomuk::FileOntologyLoader::FileOntologyLoader()
    {14, 14, 57, 2, Smoke::mf_ctor, 20, 2},	//97 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&, Soprano::RdfSerialization)
    {14, 394, 16, 1, 0, 0, 3},	//98 Nepomuk::FileOntologyLoader::setFileName(const QString&)
    {14, 200, 0, 0, Smoke::mf_const, 118, 4},	//99 Nepomuk::FileOntologyLoader::fileName() const
    {14, 423, 60, 1, 0, 0, 5},	//100 Nepomuk::FileOntologyLoader::setSerialization(Soprano::RdfSerialization)
    {14, 304, 37, 1, Smoke::mf_virtual, 97, 6},	//101 Nepomuk::FileOntologyLoader::loadOntology(const QUrl&)
    {14, 14, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 7},	//102 Nepomuk::FileOntologyLoader::FileOntologyLoader(const Nepomuk::FileOntologyLoader&)
    {14, 14, 16, 1, Smoke::mf_ctor, 20, 8},	//103 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&)
    {14, 518, 0, 0, Smoke::mf_dtor, 0, 9 },	//104 Nepomuk::FileOntologyLoader::~FileOntologyLoader()
    {15, 43, 0, 0, Smoke::mf_ctor, 23, 1},	//105 Nepomuk::Literal::Literal()
    {15, 43, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 2},	//106 Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    {15, 43, 37, 1, Smoke::mf_ctor, 23, 3},	//107 Nepomuk::Literal::Literal(const QUrl&)
    {15, 331, 64, 1, 0, 22, 4},	//108 Nepomuk::Literal::operator=(const Nepomuk::Literal&)
    {15, 174, 0, 0, Smoke::mf_const, 283, 5},	//109 Nepomuk::Literal::dataTypeUri() const
    {15, 173, 0, 0, Smoke::mf_const, 127, 6},	//110 Nepomuk::Literal::dataType() const
    {15, 521, 0, 0, Smoke::mf_dtor, 0, 7 },	//111 Nepomuk::Literal::~Literal()
    {16, 46, 0, 0, Smoke::mf_ctor, 24, 1},	//112 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader()
    {16, 304, 37, 1, Smoke::mf_virtual, 97, 2},	//113 Nepomuk::NepomukOntologyLoader::loadOntology(const QUrl&)
    {16, 46, 66, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//114 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader(const Nepomuk::NepomukOntologyLoader&)
    {16, 522, 0, 0, Smoke::mf_dtor, 0, 4 },	//115 Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader()
    {17, 49, 0, 0, Smoke::mf_ctor, 26, 1},	//116 Nepomuk::Ontology::Ontology()
    {17, 49, 68, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//117 Nepomuk::Ontology::Ontology(const Nepomuk::Ontology&)
    {17, 331, 68, 1, 0, 25, 3},	//118 Nepomuk::Ontology::operator=(const Nepomuk::Ontology&)
    {17, 502, 0, 0, Smoke::mf_const, 125, 4},	//119 Nepomuk::Ontology::uri() const
    {17, 134, 0, 0, Smoke::mf_const, 99, 5},	//120 Nepomuk::Ontology::allClasses() const
    {17, 204, 16, 1, Smoke::mf_const, 232, 6},	//121 Nepomuk::Ontology::findClassByName(const QString&) const
    {17, 201, 41, 2, Smoke::mf_const, 232, 7},	//122 Nepomuk::Ontology::findClassByLabel(const QString&, const QString&) const
    {17, 206, 37, 1, Smoke::mf_const, 232, 8},	//123 Nepomuk::Ontology::findClassByUri(const QUrl&) const
    {17, 137, 0, 0, Smoke::mf_const, 100, 9},	//124 Nepomuk::Ontology::allProperties() const
    {17, 211, 16, 1, Smoke::mf_const, 244, 10},	//125 Nepomuk::Ontology::findPropertyByName(const QString&) const
    {17, 208, 41, 2, Smoke::mf_const, 244, 11},	//126 Nepomuk::Ontology::findPropertyByLabel(const QString&, const QString&) const
    {17, 213, 37, 1, Smoke::mf_const, 244, 12},	//127 Nepomuk::Ontology::findPropertyByUri(const QUrl&) const
    {17, 302, 37, 1, Smoke::mf_static, 240, 13},	//128 Nepomuk::Ontology::load(const QUrl&)
    {17, 201, 16, 1, Smoke::mf_const, 232, 14},	//129 Nepomuk::Ontology::findClassByLabel(const QString&) const
    {17, 208, 16, 1, Smoke::mf_const, 244, 15},	//130 Nepomuk::Ontology::findPropertyByLabel(const QString&) const
    {17, 523, 0, 0, Smoke::mf_dtor, 0, 16 },	//131 Nepomuk::Ontology::~Ontology()
    {18, 304, 37, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 97, 1},	//132 Nepomuk::OntologyLoader::loadOntology(const QUrl&) [pure virtual]
    {18, 51, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 27, 2},	//133 Nepomuk::OntologyLoader::OntologyLoader()
    {18, 51, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 3},	//134 Nepomuk::OntologyLoader::OntologyLoader(const Nepomuk::OntologyLoader&)
    {18, 524, 0, 0, Smoke::mf_dtor, 0, 4 },	//135 Nepomuk::OntologyLoader::~OntologyLoader()
    {19, 253, 0, 0, Smoke::mf_static, 28, 1},	//136 Nepomuk::OntologyManager::instance()
    {19, 412, 72, 1, 0, 0, 2},	//137 Nepomuk::OntologyManager::setOntologyLoader(Nepomuk::OntologyLoader*)
    {19, 234, 37, 1, 0, 240, 3},	//138 Nepomuk::OntologyManager::getOntology(const QUrl&)
    {19, 53, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 4},	//139 Nepomuk::OntologyManager::OntologyManager(const Nepomuk::OntologyManager&)
    {19, 525, 0, 0, Smoke::mf_dtor, 0, 5 },	//140 Nepomuk::OntologyManager::~OntologyManager()
    {20, 55, 0, 0, Smoke::mf_ctor, 30, 1},	//141 Nepomuk::Property::Property()
    {20, 55, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 2},	//142 Nepomuk::Property::Property(const Nepomuk::Property&)
    {20, 331, 76, 1, 0, 29, 3},	//143 Nepomuk::Property::operator=(const Nepomuk::Property&)
    {20, 342, 0, 0, Smoke::mf_const, 100, 4},	//144 Nepomuk::Property::parentProperties() const
    {20, 341, 0, 0, Smoke::mf_const, 100, 5},	//145 Nepomuk::Property::parentOf() const
    {20, 254, 0, 0, Smoke::mf_const, 244, 6},	//146 Nepomuk::Property::inverseProperty() const
    {20, 354, 0, 0, Smoke::mf_const, 232, 7},	//147 Nepomuk::Property::range() const
    {20, 301, 0, 0, Smoke::mf_const, 21, 8},	//148 Nepomuk::Property::literalRangeType() const
    {20, 183, 0, 0, Smoke::mf_const, 232, 9},	//149 Nepomuk::Property::domain() const
    {20, 157, 0, 0, Smoke::mf_const, 290, 10},	//150 Nepomuk::Property::cardinality() const
    {20, 312, 0, 0, Smoke::mf_const, 290, 11},	//151 Nepomuk::Property::minCardinality() const
    {20, 308, 0, 0, Smoke::mf_const, 290, 12},	//152 Nepomuk::Property::maxCardinality() const
    {20, 302, 37, 1, Smoke::mf_static, 244, 13},	//153 Nepomuk::Property::load(const QUrl&)
    {20, 526, 0, 0, Smoke::mf_dtor, 0, 14 },	//154 Nepomuk::Property::~Property()
    {24, 70, 0, 0, Smoke::mf_ctor, 36, 1},	//155 Nepomuk::Resource::Resource()
    {24, 70, 78, 1, Smoke::mf_ctor, 36, 2},	//156 Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    {24, 70, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//157 Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    {24, 70, 80, 2, Smoke::mf_ctor, 36, 4},	//158 Nepomuk::Resource::Resource(const QString&, const QUrl&)
    {24, 70, 83, 3, Smoke::mf_ctor, 36, 5},	//159 Nepomuk::Resource::Resource(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {24, 70, 41, 2, Smoke::mf_ctor, 36, 6},	//160 Nepomuk::Resource::Resource(const QString&, const QString&)
    {24, 70, 87, 2, Smoke::mf_ctor, 36, 7},	//161 Nepomuk::Resource::Resource(const QUrl&, const QUrl&)
    {24, 70, 90, 3, Smoke::mf_ctor, 36, 8},	//162 Nepomuk::Resource::Resource(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {24, 70, 94, 1, Smoke::mf_ctor, 36, 9},	//163 Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    {24, 331, 29, 1, 0, 35, 10},	//164 Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    {24, 331, 37, 1, 0, 35, 11},	//165 Nepomuk::Resource::operator=(const QUrl&)
    {24, 307, 0, 0, Smoke::mf_const, 38, 12},	//166 Nepomuk::Resource::manager() const
    {24, 502, 0, 0, Smoke::mf_const, 118, 13},	//167 Nepomuk::Resource::uri() const
    {24, 376, 0, 0, Smoke::mf_const, 125, 14},	//168 Nepomuk::Resource::resourceUri() const
    {24, 498, 0, 0, Smoke::mf_const, 118, 15},	//169 Nepomuk::Resource::type() const
    {24, 374, 0, 0, Smoke::mf_const, 125, 16},	//170 Nepomuk::Resource::resourceType() const
    {24, 500, 0, 0, Smoke::mf_const, 95, 17},	//171 Nepomuk::Resource::types() const
    {24, 437, 96, 1, 0, 0, 18},	//172 Nepomuk::Resource::setTypes(const QList<QUrl>&)
    {24, 131, 37, 1, 0, 0, 19},	//173 Nepomuk::Resource::addType(const QUrl&)
    {24, 241, 37, 1, Smoke::mf_const, 228, 20},	//174 Nepomuk::Resource::hasType(const QUrl&) const
    {24, 160, 0, 0, Smoke::mf_const, 118, 21},	//175 Nepomuk::Resource::className() const
    {24, 137, 0, 0, Smoke::mf_const, 81, 22},	//176 Nepomuk::Resource::allProperties() const
    {24, 344, 0, 0, Smoke::mf_const, 82, 23},	//177 Nepomuk::Resource::properties() const
    {24, 237, 37, 1, Smoke::mf_const, 228, 24},	//178 Nepomuk::Resource::hasProperty(const QUrl&) const
    {24, 237, 98, 2, Smoke::mf_const, 228, 25},	//179 Nepomuk::Resource::hasProperty(const Nepomuk::Types::Property&, const Nepomuk::Variant&) const
    {24, 237, 16, 1, Smoke::mf_const, 228, 26},	//180 Nepomuk::Resource::hasProperty(const QString&) const
    {24, 345, 37, 1, Smoke::mf_const, 63, 27},	//181 Nepomuk::Resource::property(const QUrl&) const
    {24, 345, 16, 1, Smoke::mf_const, 63, 28},	//182 Nepomuk::Resource::property(const QString&) const
    {24, 416, 101, 2, 0, 0, 29},	//183 Nepomuk::Resource::setProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 119, 101, 2, 0, 0, 30},	//184 Nepomuk::Resource::addProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 416, 104, 2, 0, 0, 31},	//185 Nepomuk::Resource::setProperty(const QString&, const Nepomuk::Variant&)
    {24, 362, 37, 1, 0, 0, 32},	//186 Nepomuk::Resource::removeProperty(const QUrl&)
    {24, 362, 101, 2, 0, 0, 33},	//187 Nepomuk::Resource::removeProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 362, 16, 1, 0, 0, 34},	//188 Nepomuk::Resource::removeProperty(const QString&)
    {24, 361, 0, 0, 0, 0, 35},	//189 Nepomuk::Resource::remove()
    {24, 197, 0, 0, Smoke::mf_const, 228, 36},	//190 Nepomuk::Resource::exists() const
    {24, 293, 0, 0, Smoke::mf_const, 228, 37},	//191 Nepomuk::Resource::isValid() const
    {24, 233, 0, 0, Smoke::mf_const, 118, 38},	//192 Nepomuk::Resource::genericLabel() const
    {24, 231, 0, 0, Smoke::mf_const, 118, 39},	//193 Nepomuk::Resource::genericDescription() const
    {24, 232, 0, 0, Smoke::mf_const, 118, 40},	//194 Nepomuk::Resource::genericIcon() const
    {24, 343, 0, 0, 0, 47, 41},	//195 Nepomuk::Resource::pimoThing()
    {24, 334, 29, 1, Smoke::mf_const, 228, 42},	//196 Nepomuk::Resource::operator==(const Nepomuk::Resource&) const
    {24, 329, 29, 1, Smoke::mf_const, 228, 43},	//197 Nepomuk::Resource::operator!=(const Nepomuk::Resource&) const
    {24, 178, 0, 0, Smoke::mf_const, 118, 44},	//198 Nepomuk::Resource::description() const
    {24, 392, 16, 1, 0, 0, 45},	//199 Nepomuk::Resource::setDescription(const QString&)
    {24, 179, 0, 0, Smoke::mf_static, 118, 46},	//200 Nepomuk::Resource::descriptionUri()
    {24, 247, 0, 0, Smoke::mf_const, 119, 47},	//201 Nepomuk::Resource::identifiers() const
    {24, 396, 27, 1, 0, 0, 48},	//202 Nepomuk::Resource::setIdentifiers(const QStringList&)
    {24, 113, 16, 1, 0, 0, 49},	//203 Nepomuk::Resource::addIdentifier(const QString&)
    {24, 246, 0, 0, Smoke::mf_static, 118, 50},	//204 Nepomuk::Resource::identifierUri()
    {24, 148, 0, 0, Smoke::mf_const, 119, 51},	//205 Nepomuk::Resource::altLabels() const
    {24, 382, 27, 1, 0, 0, 52},	//206 Nepomuk::Resource::setAltLabels(const QStringList&)
    {24, 107, 16, 1, 0, 0, 53},	//207 Nepomuk::Resource::addAltLabel(const QString&)
    {24, 147, 0, 0, Smoke::mf_static, 118, 54},	//208 Nepomuk::Resource::altLabelUri()
    {24, 151, 0, 0, Smoke::mf_const, 87, 55},	//209 Nepomuk::Resource::annotations() const
    {24, 384, 107, 1, 0, 0, 56},	//210 Nepomuk::Resource::setAnnotations(const QList<Nepomuk::Resource>&)
    {24, 109, 29, 1, 0, 0, 57},	//211 Nepomuk::Resource::addAnnotation(const Nepomuk::Resource&)
    {24, 150, 0, 0, Smoke::mf_static, 118, 58},	//212 Nepomuk::Resource::annotationUri()
    {24, 458, 0, 0, Smoke::mf_const, 88, 59},	//213 Nepomuk::Resource::tags() const
    {24, 433, 109, 1, 0, 0, 60},	//214 Nepomuk::Resource::setTags(const QList<Nepomuk::Tag>&)
    {24, 123, 111, 1, 0, 0, 61},	//215 Nepomuk::Resource::addTag(const Nepomuk::Tag&)
    {24, 454, 0, 0, Smoke::mf_static, 118, 62},	//216 Nepomuk::Resource::tagUri()
    {24, 489, 0, 0, Smoke::mf_const, 87, 63},	//217 Nepomuk::Resource::topics() const
    {24, 435, 107, 1, 0, 0, 64},	//218 Nepomuk::Resource::setTopics(const QList<Nepomuk::Resource>&)
    {24, 129, 29, 1, 0, 0, 65},	//219 Nepomuk::Resource::addTopic(const Nepomuk::Resource&)
    {24, 488, 0, 0, Smoke::mf_static, 118, 66},	//220 Nepomuk::Resource::topicUri()
    {24, 286, 0, 0, Smoke::mf_const, 87, 67},	//221 Nepomuk::Resource::isTopicOfs() const
    {24, 400, 107, 1, 0, 0, 68},	//222 Nepomuk::Resource::setIsTopicOfs(const QList<Nepomuk::Resource>&)
    {24, 117, 29, 1, 0, 0, 69},	//223 Nepomuk::Resource::addIsTopicOf(const Nepomuk::Resource&)
    {24, 285, 0, 0, Smoke::mf_static, 118, 70},	//224 Nepomuk::Resource::isTopicOfUri()
    {24, 274, 0, 0, Smoke::mf_const, 87, 71},	//225 Nepomuk::Resource::isRelateds() const
    {24, 398, 107, 1, 0, 0, 72},	//226 Nepomuk::Resource::setIsRelateds(const QList<Nepomuk::Resource>&)
    {24, 115, 29, 1, 0, 0, 73},	//227 Nepomuk::Resource::addIsRelated(const Nepomuk::Resource&)
    {24, 273, 0, 0, Smoke::mf_static, 118, 74},	//228 Nepomuk::Resource::isRelatedUri()
    {24, 296, 0, 0, Smoke::mf_const, 118, 75},	//229 Nepomuk::Resource::label() const
    {24, 402, 16, 1, 0, 0, 76},	//230 Nepomuk::Resource::setLabel(const QString&)
    {24, 298, 0, 0, Smoke::mf_static, 118, 77},	//231 Nepomuk::Resource::labelUri()
    {24, 356, 0, 0, Smoke::mf_const, 294, 78},	//232 Nepomuk::Resource::rating() const
    {24, 419, 113, 1, 0, 0, 79},	//233 Nepomuk::Resource::setRating(const unsigned int&)
    {24, 357, 0, 0, Smoke::mf_static, 118, 80},	//234 Nepomuk::Resource::ratingUri()
    {24, 448, 0, 0, Smoke::mf_const, 119, 81},	//235 Nepomuk::Resource::symbols() const
    {24, 427, 27, 1, 0, 0, 82},	//236 Nepomuk::Resource::setSymbols(const QStringList&)
    {24, 121, 16, 1, 0, 0, 83},	//237 Nepomuk::Resource::addSymbol(const QString&)
    {24, 447, 0, 0, Smoke::mf_static, 118, 84},	//238 Nepomuk::Resource::symbolUri()
    {24, 149, 0, 0, Smoke::mf_const, 87, 85},	//239 Nepomuk::Resource::annotationOf() const
    {24, 272, 0, 0, Smoke::mf_const, 87, 86},	//240 Nepomuk::Resource::isRelatedOf() const
    {24, 138, 0, 0, Smoke::mf_static, 87, 87},	//241 Nepomuk::Resource::allResources()
    {24, 504, 0, 0, Smoke::mf_const, 290, 88},	//242 Nepomuk::Resource::usageCount() const
    {24, 248, 0, 0, 0, 0, 89},	//243 Nepomuk::Resource::increaseUsageCount()
    {24, 264, 0, 0, Smoke::mf_const, 228, 90},	//244 Nepomuk::Resource::isFile() const
    {24, 468, 0, 0, Smoke::mf_const, 17, 91},	//245 Nepomuk::Resource::toFile() const
    {24, 223, 115, 3, Smoke::mf_static, 34, 92},	//246 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*)
    {24, 70, 16, 1, Smoke::mf_ctor, 36, 93},	//247 Nepomuk::Resource::Resource(const QString&)
    {24, 70, 37, 1, Smoke::mf_ctor, 36, 94},	//248 Nepomuk::Resource::Resource(const QUrl&)
    {24, 223, 53, 1, Smoke::mf_static, 34, 95},	//249 Nepomuk::Resource::fromResourceUri(const KUrl&)
    {24, 223, 119, 2, Smoke::mf_static, 34, 96},	//250 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&)
    {24, 527, 0, 0, Smoke::mf_dtor, 0, 97 },	//251 Nepomuk::Resource::~Resource()
    {26, 310, 0, 0, Smoke::mf_const, 275, 1},	//252 Nepomuk::ResourceManager::metaObject() const
    {26, 352, 1, 1, 0, 296, 2},	//253 Nepomuk::ResourceManager::qt_metacast(const char*)
    {26, 490, 3, 2, Smoke::mf_static, 118, 3},	//254 Nepomuk::ResourceManager::tr(const char*, const char*)
    {26, 494, 3, 2, Smoke::mf_static, 118, 4},	//255 Nepomuk::ResourceManager::trUtf8(const char*, const char*)
    {26, 490, 6, 3, Smoke::mf_static, 118, 5},	//256 Nepomuk::ResourceManager::tr(const char*, const char*, int)
    {26, 494, 6, 3, Smoke::mf_static, 118, 6},	//257 Nepomuk::ResourceManager::trUtf8(const char*, const char*, int)
    {26, 350, 10, 3, 0, 290, 7},	//258 Nepomuk::ResourceManager::qt_metacall(QMetaObject::Call, int, void**)
    {26, 253, 0, 0, Smoke::mf_static, 38, 8},	//259 Nepomuk::ResourceManager::instance()
    {26, 177, 0, 0, 0, 0, 9},	//260 Nepomuk::ResourceManager::deleteInstance()
    {26, 249, 0, 0, 0, 290, 10},	//261 Nepomuk::ResourceManager::init()
    {26, 250, 0, 0, Smoke::mf_const, 228, 11},	//262 Nepomuk::ResourceManager::initialized() const
    {26, 306, 0, 0, 0, 223, 12},	//263 Nepomuk::ResourceManager::mainModel()
    {26, 414, 122, 1, 0, 0, 13},	//264 Nepomuk::ResourceManager::setOverrideMainModel(Soprano::Model*)
    {26, 170, 16, 1, 0, 34, 14},	//265 Nepomuk::ResourceManager::createResourceFromUri(const QString&)
    {26, 366, 16, 1, 0, 0, 15},	//266 Nepomuk::ResourceManager::removeResource(const QString&)
    {26, 139, 37, 1, 0, 87, 16},	//267 Nepomuk::ResourceManager::allResourcesOfType(const QUrl&)
    {26, 139, 16, 1, 0, 87, 17},	//268 Nepomuk::ResourceManager::allResourcesOfType(const QString&)
    {26, 142, 101, 2, 0, 87, 18},	//269 Nepomuk::ResourceManager::allResourcesWithProperty(const QUrl&, const Nepomuk::Variant&)
    {26, 142, 104, 2, 0, 87, 19},	//270 Nepomuk::ResourceManager::allResourcesWithProperty(const QString&, const Nepomuk::Variant&)
    {26, 162, 0, 0, 0, 0, 20},	//271 Nepomuk::ResourceManager::clearCache()
    {26, 229, 0, 0, 0, 118, 21},	//272 Nepomuk::ResourceManager::generateUniqueUri()
    {26, 229, 16, 1, 0, 125, 22},	//273 Nepomuk::ResourceManager::generateUniqueUri(const QString&)
    {26, 324, 18, 2, 0, 0, 23},	//274 Nepomuk::ResourceManager::notifyError(const QString&, int)
    {26, 168, 122, 1, Smoke::mf_static, 38, 24},	//275 Nepomuk::ResourceManager::createManagerForModel(Soprano::Model*)
    {26, 372, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//276 Nepomuk::ResourceManager::resourceModified(const QString&)
    {26, 191, 18, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//277 Nepomuk::ResourceManager::error(const QString&, int)
    {26, 322, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//278 Nepomuk::ResourceManager::nepomukSystemStarted()
    {26, 323, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//279 Nepomuk::ResourceManager::nepomukSystemStopped()
    {26, 490, 1, 1, Smoke::mf_static, 118, 29},	//280 Nepomuk::ResourceManager::tr(const char*)
    {26, 494, 1, 1, Smoke::mf_static, 118, 30},	//281 Nepomuk::ResourceManager::trUtf8(const char*)
    {26, 443, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 274, 31},	//282 Nepomuk::ResourceManager::staticMetaObject() const
    {27, 310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 1},	//283 Nepomuk::Service::metaObject() const
    {27, 352, 1, 1, Smoke::mf_virtual, 296, 2},	//284 Nepomuk::Service::qt_metacast(const char*)
    {27, 490, 3, 2, Smoke::mf_static, 118, 3},	//285 Nepomuk::Service::tr(const char*, const char*)
    {27, 494, 3, 2, Smoke::mf_static, 118, 4},	//286 Nepomuk::Service::trUtf8(const char*, const char*)
    {27, 490, 6, 3, Smoke::mf_static, 118, 5},	//287 Nepomuk::Service::tr(const char*, const char*, int)
    {27, 494, 6, 3, Smoke::mf_static, 118, 6},	//288 Nepomuk::Service::trUtf8(const char*, const char*, int)
    {27, 350, 10, 3, Smoke::mf_virtual, 290, 7},	//289 Nepomuk::Service::qt_metacall(QMetaObject::Call, int, void**)
    {27, 78, 124, 2, Smoke::mf_ctor, 39, 8},	//290 Nepomuk::Service::Service(QObject*, bool)
    {27, 306, 0, 0, Smoke::mf_protected, 223, 9},	//291 Nepomuk::Service::mainModel()
    {27, 425, 127, 1, Smoke::mf_protected, 0, 10},	//292 Nepomuk::Service::setServiceInitialized(bool)
    {27, 490, 1, 1, Smoke::mf_static, 118, 11},	//293 Nepomuk::Service::tr(const char*)
    {27, 494, 1, 1, Smoke::mf_static, 118, 12},	//294 Nepomuk::Service::trUtf8(const char*)
    {27, 78, 0, 0, Smoke::mf_ctor, 39, 13},	//295 Nepomuk::Service::Service()
    {27, 78, 129, 1, Smoke::mf_ctor, 39, 14},	//296 Nepomuk::Service::Service(QObject*)
    {27, 443, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 274, 15},	//297 Nepomuk::Service::staticMetaObject() const
    {27, 528, 0, 0, Smoke::mf_dtor, 0, 16 },	//298 Nepomuk::Service::~Service()
    {28, 82, 0, 0, Smoke::mf_ctor, 42, 1},	//299 Nepomuk::Tag::Tag()
    {28, 82, 78, 1, Smoke::mf_ctor, 42, 2},	//300 Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    {28, 82, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 3},	//301 Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    {28, 82, 29, 1, Smoke::mf_ctor, 42, 4},	//302 Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    {28, 82, 16, 1, Smoke::mf_ctor, 42, 5},	//303 Nepomuk::Tag::Tag(const QString&)
    {28, 82, 131, 2, Smoke::mf_ctor, 42, 6},	//304 Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    {28, 82, 37, 1, Smoke::mf_ctor, 42, 7},	//305 Nepomuk::Tag::Tag(const QUrl&)
    {28, 82, 134, 2, Smoke::mf_ctor, 42, 8},	//306 Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    {28, 331, 111, 1, 0, 41, 9},	//307 Nepomuk::Tag::operator=(const Nepomuk::Tag&)
    {28, 453, 0, 0, Smoke::mf_const, 87, 10},	//308 Nepomuk::Tag::tagOf() const
    {28, 146, 0, 0, Smoke::mf_static, 88, 11},	//309 Nepomuk::Tag::allTags()
    {28, 375, 0, 0, Smoke::mf_static, 118, 12},	//310 Nepomuk::Tag::resourceTypeUri()
    {28, 82, 80, 2, Smoke::mf_ctor|Smoke::mf_protected, 42, 13},	//311 Nepomuk::Tag::Tag(const QString&, const QUrl&)
    {28, 82, 87, 2, Smoke::mf_ctor|Smoke::mf_protected, 42, 14},	//312 Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    {28, 82, 83, 3, Smoke::mf_ctor|Smoke::mf_protected, 42, 15},	//313 Nepomuk::Tag::Tag(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {28, 82, 90, 3, Smoke::mf_ctor|Smoke::mf_protected, 42, 16},	//314 Nepomuk::Tag::Tag(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {28, 529, 0, 0, Smoke::mf_dtor, 0, 17 },	//315 Nepomuk::Tag::~Tag()
    {29, 310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 1},	//316 Nepomuk::TagCloud::metaObject() const
    {29, 352, 1, 1, Smoke::mf_virtual, 296, 2},	//317 Nepomuk::TagCloud::qt_metacast(const char*)
    {29, 490, 3, 2, Smoke::mf_static, 118, 3},	//318 Nepomuk::TagCloud::tr(const char*, const char*)
    {29, 494, 3, 2, Smoke::mf_static, 118, 4},	//319 Nepomuk::TagCloud::trUtf8(const char*, const char*)
    {29, 490, 6, 3, Smoke::mf_static, 118, 5},	//320 Nepomuk::TagCloud::tr(const char*, const char*, int)
    {29, 494, 6, 3, Smoke::mf_static, 118, 6},	//321 Nepomuk::TagCloud::trUtf8(const char*, const char*, int)
    {29, 350, 10, 3, Smoke::mf_virtual, 290, 7},	//322 Nepomuk::TagCloud::qt_metacall(QMetaObject::Call, int, void**)
    {29, 89, 14, 1, Smoke::mf_ctor, 43, 8},	//323 Nepomuk::TagCloud::TagCloud(QWidget*)
    {29, 156, 0, 0, Smoke::mf_const, 228, 9},	//324 Nepomuk::TagCloud::autoUpdate() const
    {29, 501, 0, 0, Smoke::mf_slot, 0, 10},	//325 Nepomuk::TagCloud::updateTags()
    {29, 388, 127, 1, Smoke::mf_slot, 0, 11},	//326 Nepomuk::TagCloud::setAutoUpdate(bool)
    {29, 450, 137, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//327 Nepomuk::TagCloud::tagClicked(Nepomuk::Tag)
    {29, 490, 1, 1, Smoke::mf_static, 118, 13},	//328 Nepomuk::TagCloud::tr(const char*)
    {29, 494, 1, 1, Smoke::mf_static, 118, 14},	//329 Nepomuk::TagCloud::trUtf8(const char*)
    {29, 89, 0, 0, Smoke::mf_ctor, 43, 15},	//330 Nepomuk::TagCloud::TagCloud()
    {29, 443, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 274, 16},	//331 Nepomuk::TagCloud::staticMetaObject() const
    {29, 530, 0, 0, Smoke::mf_dtor, 0, 17 },	//332 Nepomuk::TagCloud::~TagCloud()
    {30, 310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 275, 1},	//333 Nepomuk::TagWidget::metaObject() const
    {30, 352, 1, 1, Smoke::mf_virtual, 296, 2},	//334 Nepomuk::TagWidget::qt_metacast(const char*)
    {30, 490, 3, 2, Smoke::mf_static, 118, 3},	//335 Nepomuk::TagWidget::tr(const char*, const char*)
    {30, 494, 3, 2, Smoke::mf_static, 118, 4},	//336 Nepomuk::TagWidget::trUtf8(const char*, const char*)
    {30, 490, 6, 3, Smoke::mf_static, 118, 5},	//337 Nepomuk::TagWidget::tr(const char*, const char*, int)
    {30, 494, 6, 3, Smoke::mf_static, 118, 6},	//338 Nepomuk::TagWidget::trUtf8(const char*, const char*, int)
    {30, 350, 10, 3, Smoke::mf_virtual, 290, 7},	//339 Nepomuk::TagWidget::qt_metacall(QMetaObject::Call, int, void**)
    {30, 91, 139, 2, Smoke::mf_ctor, 44, 8},	//340 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&, QWidget*)
    {30, 91, 14, 1, Smoke::mf_ctor, 44, 9},	//341 Nepomuk::TagWidget::TagWidget(QWidget*)
    {30, 457, 0, 0, Smoke::mf_const, 87, 10},	//342 Nepomuk::TagWidget::taggedResources() const
    {30, 155, 0, 0, Smoke::mf_const, 88, 11},	//343 Nepomuk::TagWidget::assignedTags() const
    {30, 377, 0, 0, Smoke::mf_const, 88, 12},	//344 Nepomuk::TagWidget::selectedTags() const
    {30, 309, 0, 0, Smoke::mf_const, 290, 13},	//345 Nepomuk::TagWidget::maxTagsShown() const
    {30, 133, 0, 0, Smoke::mf_const, 79, 14},	//346 Nepomuk::TagWidget::alignment() const
    {30, 314, 0, 0, Smoke::mf_const, 78, 15},	//347 Nepomuk::TagWidget::modeFlags() const
    {30, 450, 137, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//348 Nepomuk::TagWidget::tagClicked(Nepomuk::Tag)
    {30, 378, 109, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//349 Nepomuk::TagWidget::selectionChanged(const QList<Nepomuk::Tag>&)
    {30, 429, 29, 1, Smoke::mf_slot, 0, 18},	//350 Nepomuk::TagWidget::setTaggedResource(const Nepomuk::Resource&)
    {30, 431, 107, 1, Smoke::mf_slot, 0, 19},	//351 Nepomuk::TagWidget::setTaggedResources(const QList<Nepomuk::Resource>&)
    {30, 386, 109, 1, Smoke::mf_slot, 0, 20},	//352 Nepomuk::TagWidget::setAssignedTags(const QList<Nepomuk::Tag>&)
    {30, 421, 109, 1, Smoke::mf_slot, 0, 21},	//353 Nepomuk::TagWidget::setSelectedTags(const QList<Nepomuk::Tag>&)
    {30, 406, 23, 1, Smoke::mf_slot, 0, 22},	//354 Nepomuk::TagWidget::setMaxTagsShown(int)
    {30, 380, 142, 1, Smoke::mf_slot, 0, 23},	//355 Nepomuk::TagWidget::setAlignment(Qt::Alignment)
    {30, 410, 144, 1, Smoke::mf_slot, 0, 24},	//356 Nepomuk::TagWidget::setModeFlags(Nepomuk::TagWidget::ModeFlags)
    {30, 490, 1, 1, Smoke::mf_static, 118, 25},	//357 Nepomuk::TagWidget::tr(const char*)
    {30, 494, 1, 1, Smoke::mf_static, 118, 26},	//358 Nepomuk::TagWidget::trUtf8(const char*)
    {30, 91, 29, 1, Smoke::mf_ctor, 44, 27},	//359 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    {30, 91, 0, 0, Smoke::mf_ctor, 44, 28},	//360 Nepomuk::TagWidget::TagWidget()
    {30, 443, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 274, 29},	//361 Nepomuk::TagWidget::staticMetaObject() const
    {30, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 30},	//362 Nepomuk::TagWidget::MiniMode (enum)
    {30, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 31},	//363 Nepomuk::TagWidget::StandardMode (enum)
    {30, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 32},	//364 Nepomuk::TagWidget::ReadOnly (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 33},	//365 Nepomuk::TagWidget::DisableTagClicking (enum)
    {30, 531, 0, 0, Smoke::mf_dtor, 0, 34 },	//366 Nepomuk::TagWidget::~TagWidget()
    {31, 94, 87, 2, Smoke::mf_ctor, 49, 1},	//367 Nepomuk::Thing::Thing(const QUrl&, const QUrl&)
    {31, 94, 90, 3, Smoke::mf_ctor, 49, 2},	//368 Nepomuk::Thing::Thing(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {31, 94, 80, 2, Smoke::mf_ctor, 49, 3},	//369 Nepomuk::Thing::Thing(const QString&, const QUrl&)
    {31, 94, 83, 3, Smoke::mf_ctor, 49, 4},	//370 Nepomuk::Thing::Thing(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {31, 94, 146, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 5},	//371 Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    {31, 94, 29, 1, Smoke::mf_ctor, 49, 6},	//372 Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    {31, 94, 94, 1, Smoke::mf_ctor, 49, 7},	//373 Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    {31, 331, 146, 1, 0, 48, 8},	//374 Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    {31, 331, 29, 1, 0, 48, 9},	//375 Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    {31, 331, 37, 1, 0, 48, 10},	//376 Nepomuk::Thing::operator=(const QUrl&)
    {31, 236, 0, 0, Smoke::mf_const, 87, 11},	//377 Nepomuk::Thing::groundingOccurrences() const
    {31, 360, 0, 0, Smoke::mf_const, 87, 12},	//378 Nepomuk::Thing::referencingOccurrences() const
    {31, 327, 0, 0, Smoke::mf_const, 87, 13},	//379 Nepomuk::Thing::occurrences() const
    {31, 111, 29, 1, 0, 0, 14},	//380 Nepomuk::Thing::addGroundingOccurrence(const Nepomuk::Resource&)
    {31, 94, 0, 0, Smoke::mf_ctor, 49, 15},	//381 Nepomuk::Thing::Thing()
    {31, 94, 37, 1, Smoke::mf_ctor, 49, 16},	//382 Nepomuk::Thing::Thing(const QUrl&)
    {31, 94, 16, 1, Smoke::mf_ctor, 49, 17},	//383 Nepomuk::Thing::Thing(const QString&)
    {31, 532, 0, 0, Smoke::mf_dtor, 0, 18 },	//384 Nepomuk::Thing::~Thing()
    {32, 348, 148, 1, Smoke::mf_static, 294, 1},	//385 Nepomuk::Types::qHash(const Nepomuk::Types::Entity&)
    {33, 1, 0, 0, Smoke::mf_ctor, 52, 1},	//386 Nepomuk::Types::Class::Class()
    {33, 1, 37, 1, Smoke::mf_ctor, 52, 2},	//387 Nepomuk::Types::Class::Class(const QUrl&)
    {33, 1, 150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 3},	//388 Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    {33, 331, 150, 1, 0, 51, 4},	//389 Nepomuk::Types::Class::operator=(const Nepomuk::Types::Class&)
    {33, 355, 0, 0, 0, 90, 5},	//390 Nepomuk::Types::Class::rangeOf()
    {33, 355, 0, 0, Smoke::mf_const, 90, 6},	//391 Nepomuk::Types::Class::rangeOf() const
    {33, 184, 0, 0, 0, 90, 7},	//392 Nepomuk::Types::Class::domainOf()
    {33, 184, 0, 0, Smoke::mf_const, 90, 8},	//393 Nepomuk::Types::Class::domainOf() const
    {33, 211, 16, 1, 0, 60, 9},	//394 Nepomuk::Types::Class::findPropertyByName(const QString&)
    {33, 211, 16, 1, Smoke::mf_const, 60, 10},	//395 Nepomuk::Types::Class::findPropertyByName(const QString&) const
    {33, 208, 41, 2, 0, 60, 11},	//396 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    {33, 208, 41, 2, Smoke::mf_const, 60, 12},	//397 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    {33, 340, 0, 0, 0, 89, 13},	//398 Nepomuk::Types::Class::parentClasses()
    {33, 340, 0, 0, Smoke::mf_const, 89, 14},	//399 Nepomuk::Types::Class::parentClasses() const
    {33, 445, 0, 0, 0, 89, 15},	//400 Nepomuk::Types::Class::subClasses()
    {33, 445, 0, 0, Smoke::mf_const, 89, 16},	//401 Nepomuk::Types::Class::subClasses() const
    {33, 136, 0, 0, 0, 89, 17},	//402 Nepomuk::Types::Class::allParentClasses()
    {33, 136, 0, 0, Smoke::mf_const, 89, 18},	//403 Nepomuk::Types::Class::allParentClasses() const
    {33, 145, 0, 0, 0, 89, 19},	//404 Nepomuk::Types::Class::allSubClasses()
    {33, 145, 0, 0, Smoke::mf_const, 89, 20},	//405 Nepomuk::Types::Class::allSubClasses() const
    {33, 270, 150, 1, 0, 228, 21},	//406 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    {33, 270, 150, 1, Smoke::mf_const, 228, 22},	//407 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    {33, 279, 150, 1, 0, 228, 23},	//408 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    {33, 279, 150, 1, Smoke::mf_const, 228, 24},	//409 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    {33, 208, 16, 1, 0, 60, 25},	//410 Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    {33, 208, 16, 1, Smoke::mf_const, 60, 26},	//411 Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    {33, 514, 0, 0, Smoke::mf_dtor, 0, 27 },	//412 Nepomuk::Types::Class::~Class()
    {34, 9, 148, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 1},	//413 Nepomuk::Types::Entity::Entity(const Nepomuk::Types::Entity&)
    {34, 331, 148, 1, 0, 53, 2},	//414 Nepomuk::Types::Entity::operator=(const Nepomuk::Types::Entity&)
    {34, 320, 0, 0, Smoke::mf_const, 118, 3},	//415 Nepomuk::Types::Entity::name() const
    {34, 502, 0, 0, Smoke::mf_const, 125, 4},	//416 Nepomuk::Types::Entity::uri() const
    {34, 296, 16, 1, 0, 118, 5},	//417 Nepomuk::Types::Entity::label(const QString&)
    {34, 296, 16, 1, Smoke::mf_const, 118, 6},	//418 Nepomuk::Types::Entity::label(const QString&) const
    {34, 164, 16, 1, 0, 118, 7},	//419 Nepomuk::Types::Entity::comment(const QString&)
    {34, 164, 16, 1, Smoke::mf_const, 118, 8},	//420 Nepomuk::Types::Entity::comment(const QString&) const
    {34, 245, 0, 0, 0, 84, 9},	//421 Nepomuk::Types::Entity::icon()
    {34, 245, 0, 0, Smoke::mf_const, 84, 10},	//422 Nepomuk::Types::Entity::icon() const
    {34, 293, 0, 0, Smoke::mf_const, 228, 11},	//423 Nepomuk::Types::Entity::isValid() const
    {34, 255, 0, 0, 0, 228, 12},	//424 Nepomuk::Types::Entity::isAvailable()
    {34, 255, 0, 0, Smoke::mf_const, 228, 13},	//425 Nepomuk::Types::Entity::isAvailable() const
    {34, 368, 127, 1, 0, 0, 14},	//426 Nepomuk::Types::Entity::reset(bool)
    {34, 505, 0, 0, Smoke::mf_const, 228, 15},	//427 Nepomuk::Types::Entity::userVisible() const
    {34, 328, 0, 0, Smoke::mf_const, 125, 16},	//428 Nepomuk::Types::Entity::operator QUrl() const
    {34, 334, 148, 1, Smoke::mf_const, 228, 17},	//429 Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    {34, 334, 37, 1, Smoke::mf_const, 228, 18},	//430 Nepomuk::Types::Entity::operator==(const QUrl&) const
    {34, 329, 148, 1, Smoke::mf_const, 228, 19},	//431 Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    {34, 329, 37, 1, Smoke::mf_const, 228, 20},	//432 Nepomuk::Types::Entity::operator!=(const QUrl&) const
    {34, 9, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 54, 21},	//433 Nepomuk::Types::Entity::Entity()
    {34, 296, 0, 0, 0, 118, 22},	//434 Nepomuk::Types::Entity::label()
    {34, 296, 0, 0, Smoke::mf_const, 118, 23},	//435 Nepomuk::Types::Entity::label() const
    {34, 164, 0, 0, 0, 118, 24},	//436 Nepomuk::Types::Entity::comment()
    {34, 164, 0, 0, Smoke::mf_const, 118, 25},	//437 Nepomuk::Types::Entity::comment() const
    {34, 368, 0, 0, 0, 0, 26},	//438 Nepomuk::Types::Entity::reset()
    {34, 516, 0, 0, Smoke::mf_dtor, 0, 27 },	//439 Nepomuk::Types::Entity::~Entity()
    {35, 43, 0, 0, Smoke::mf_ctor, 57, 1},	//440 Nepomuk::Types::Literal::Literal()
    {35, 43, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//441 Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    {35, 43, 37, 1, Smoke::mf_ctor, 57, 3},	//442 Nepomuk::Types::Literal::Literal(const QUrl&)
    {35, 331, 152, 1, 0, 56, 4},	//443 Nepomuk::Types::Literal::operator=(const Nepomuk::Types::Literal&)
    {35, 174, 0, 0, Smoke::mf_const, 125, 5},	//444 Nepomuk::Types::Literal::dataTypeUri() const
    {35, 173, 0, 0, Smoke::mf_const, 127, 6},	//445 Nepomuk::Types::Literal::dataType() const
    {35, 293, 0, 0, Smoke::mf_const, 228, 7},	//446 Nepomuk::Types::Literal::isValid() const
    {35, 521, 0, 0, Smoke::mf_dtor, 0, 8 },	//447 Nepomuk::Types::Literal::~Literal()
    {36, 49, 0, 0, Smoke::mf_ctor, 59, 1},	//448 Nepomuk::Types::Ontology::Ontology()
    {36, 49, 37, 1, Smoke::mf_ctor, 59, 2},	//449 Nepomuk::Types::Ontology::Ontology(const QUrl&)
    {36, 49, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 3},	//450 Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    {36, 331, 154, 1, 0, 58, 4},	//451 Nepomuk::Types::Ontology::operator=(const Nepomuk::Types::Ontology&)
    {36, 134, 0, 0, 0, 89, 5},	//452 Nepomuk::Types::Ontology::allClasses()
    {36, 204, 16, 1, 0, 50, 6},	//453 Nepomuk::Types::Ontology::findClassByName(const QString&)
    {36, 201, 41, 2, 0, 50, 7},	//454 Nepomuk::Types::Ontology::findClassByLabel(const QString&, const QString&)
    {36, 137, 0, 0, 0, 90, 8},	//455 Nepomuk::Types::Ontology::allProperties()
    {36, 211, 16, 1, 0, 60, 9},	//456 Nepomuk::Types::Ontology::findPropertyByName(const QString&)
    {36, 208, 41, 2, 0, 60, 10},	//457 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&, const QString&)
    {36, 201, 16, 1, 0, 50, 11},	//458 Nepomuk::Types::Ontology::findClassByLabel(const QString&)
    {36, 208, 16, 1, 0, 60, 12},	//459 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&)
    {36, 523, 0, 0, Smoke::mf_dtor, 0, 13 },	//460 Nepomuk::Types::Ontology::~Ontology()
    {37, 55, 0, 0, Smoke::mf_ctor, 62, 1},	//461 Nepomuk::Types::Property::Property()
    {37, 55, 37, 1, Smoke::mf_ctor, 62, 2},	//462 Nepomuk::Types::Property::Property(const QUrl&)
    {37, 55, 156, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 3},	//463 Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    {37, 331, 156, 1, 0, 61, 4},	//464 Nepomuk::Types::Property::operator=(const Nepomuk::Types::Property&)
    {37, 342, 0, 0, 0, 90, 5},	//465 Nepomuk::Types::Property::parentProperties()
    {37, 342, 0, 0, Smoke::mf_const, 90, 6},	//466 Nepomuk::Types::Property::parentProperties() const
    {37, 446, 0, 0, 0, 90, 7},	//467 Nepomuk::Types::Property::subProperties()
    {37, 446, 0, 0, Smoke::mf_const, 90, 8},	//468 Nepomuk::Types::Property::subProperties() const
    {37, 254, 0, 0, 0, 60, 9},	//469 Nepomuk::Types::Property::inverseProperty()
    {37, 254, 0, 0, Smoke::mf_const, 60, 10},	//470 Nepomuk::Types::Property::inverseProperty() const
    {37, 354, 0, 0, 0, 50, 11},	//471 Nepomuk::Types::Property::range()
    {37, 354, 0, 0, Smoke::mf_const, 50, 12},	//472 Nepomuk::Types::Property::range() const
    {37, 301, 0, 0, 0, 55, 13},	//473 Nepomuk::Types::Property::literalRangeType()
    {37, 301, 0, 0, Smoke::mf_const, 55, 14},	//474 Nepomuk::Types::Property::literalRangeType() const
    {37, 183, 0, 0, 0, 50, 15},	//475 Nepomuk::Types::Property::domain()
    {37, 183, 0, 0, Smoke::mf_const, 50, 16},	//476 Nepomuk::Types::Property::domain() const
    {37, 157, 0, 0, 0, 290, 17},	//477 Nepomuk::Types::Property::cardinality()
    {37, 157, 0, 0, Smoke::mf_const, 290, 18},	//478 Nepomuk::Types::Property::cardinality() const
    {37, 312, 0, 0, 0, 290, 19},	//479 Nepomuk::Types::Property::minCardinality()
    {37, 312, 0, 0, Smoke::mf_const, 290, 20},	//480 Nepomuk::Types::Property::minCardinality() const
    {37, 308, 0, 0, 0, 290, 21},	//481 Nepomuk::Types::Property::maxCardinality()
    {37, 308, 0, 0, Smoke::mf_const, 290, 22},	//482 Nepomuk::Types::Property::maxCardinality() const
    {37, 270, 156, 1, 0, 228, 23},	//483 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    {37, 270, 156, 1, Smoke::mf_const, 228, 24},	//484 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    {37, 281, 156, 1, 0, 228, 25},	//485 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    {37, 281, 156, 1, Smoke::mf_const, 228, 26},	//486 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    {37, 526, 0, 0, Smoke::mf_dtor, 0, 27 },	//487 Nepomuk::Types::Property::~Property()
    {38, 102, 0, 0, Smoke::mf_ctor, 65, 1},	//488 Nepomuk::Variant::Variant()
    {38, 102, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//489 Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    {38, 102, 158, 1, Smoke::mf_ctor, 65, 3},	//490 Nepomuk::Variant::Variant(const QVariant&)
    {38, 102, 23, 1, Smoke::mf_ctor, 65, 4},	//491 Nepomuk::Variant::Variant(int)
    {38, 102, 160, 1, Smoke::mf_ctor, 65, 5},	//492 Nepomuk::Variant::Variant(long long)
    {38, 102, 162, 1, Smoke::mf_ctor, 65, 6},	//493 Nepomuk::Variant::Variant(unsigned int)
    {38, 102, 164, 1, Smoke::mf_ctor, 65, 7},	//494 Nepomuk::Variant::Variant(unsigned long long)
    {38, 102, 127, 1, Smoke::mf_ctor, 65, 8},	//495 Nepomuk::Variant::Variant(bool)
    {38, 102, 166, 1, Smoke::mf_ctor, 65, 9},	//496 Nepomuk::Variant::Variant(double)
    {38, 102, 1, 1, Smoke::mf_ctor, 65, 10},	//497 Nepomuk::Variant::Variant(const char*)
    {38, 102, 16, 1, Smoke::mf_ctor, 65, 11},	//498 Nepomuk::Variant::Variant(const QString&)
    {38, 102, 168, 1, Smoke::mf_ctor, 65, 12},	//499 Nepomuk::Variant::Variant(const QDate&)
    {38, 102, 170, 1, Smoke::mf_ctor, 65, 13},	//500 Nepomuk::Variant::Variant(const QTime&)
    {38, 102, 172, 1, Smoke::mf_ctor, 65, 14},	//501 Nepomuk::Variant::Variant(const QDateTime&)
    {38, 102, 37, 1, Smoke::mf_ctor, 65, 15},	//502 Nepomuk::Variant::Variant(const QUrl&)
    {38, 102, 29, 1, Smoke::mf_ctor, 65, 16},	//503 Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    {38, 102, 174, 1, Smoke::mf_ctor, 65, 17},	//504 Nepomuk::Variant::Variant(const QList<int>&)
    {38, 102, 176, 1, Smoke::mf_ctor, 65, 18},	//505 Nepomuk::Variant::Variant(const QList<long long>&)
    {38, 102, 178, 1, Smoke::mf_ctor, 65, 19},	//506 Nepomuk::Variant::Variant(const QList<unsigned int>&)
    {38, 102, 180, 1, Smoke::mf_ctor, 65, 20},	//507 Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    {38, 102, 182, 1, Smoke::mf_ctor, 65, 21},	//508 Nepomuk::Variant::Variant(const QList<bool>&)
    {38, 102, 184, 1, Smoke::mf_ctor, 65, 22},	//509 Nepomuk::Variant::Variant(const QList<double>&)
    {38, 102, 27, 1, Smoke::mf_ctor, 65, 23},	//510 Nepomuk::Variant::Variant(const QStringList&)
    {38, 102, 186, 1, Smoke::mf_ctor, 65, 24},	//511 Nepomuk::Variant::Variant(const QList<QDate>&)
    {38, 102, 188, 1, Smoke::mf_ctor, 65, 25},	//512 Nepomuk::Variant::Variant(const QList<QTime>&)
    {38, 102, 190, 1, Smoke::mf_ctor, 65, 26},	//513 Nepomuk::Variant::Variant(const QList<QDateTime>&)
    {38, 102, 96, 1, Smoke::mf_ctor, 65, 27},	//514 Nepomuk::Variant::Variant(const QList<QUrl>&)
    {38, 102, 107, 1, Smoke::mf_ctor, 65, 28},	//515 Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    {38, 102, 192, 1, Smoke::mf_ctor, 65, 29},	//516 Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    {38, 331, 31, 1, 0, 64, 30},	//517 Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    {38, 331, 23, 1, 0, 64, 31},	//518 Nepomuk::Variant::operator=(int)
    {38, 331, 160, 1, 0, 64, 32},	//519 Nepomuk::Variant::operator=(long long)
    {38, 331, 162, 1, 0, 64, 33},	//520 Nepomuk::Variant::operator=(unsigned int)
    {38, 331, 164, 1, 0, 64, 34},	//521 Nepomuk::Variant::operator=(unsigned long long)
    {38, 331, 127, 1, 0, 64, 35},	//522 Nepomuk::Variant::operator=(bool)
    {38, 331, 166, 1, 0, 64, 36},	//523 Nepomuk::Variant::operator=(double)
    {38, 331, 16, 1, 0, 64, 37},	//524 Nepomuk::Variant::operator=(const QString&)
    {38, 331, 168, 1, 0, 64, 38},	//525 Nepomuk::Variant::operator=(const QDate&)
    {38, 331, 170, 1, 0, 64, 39},	//526 Nepomuk::Variant::operator=(const QTime&)
    {38, 331, 172, 1, 0, 64, 40},	//527 Nepomuk::Variant::operator=(const QDateTime&)
    {38, 331, 37, 1, 0, 64, 41},	//528 Nepomuk::Variant::operator=(const QUrl&)
    {38, 331, 29, 1, 0, 64, 42},	//529 Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    {38, 331, 174, 1, 0, 64, 43},	//530 Nepomuk::Variant::operator=(const QList<int>&)
    {38, 331, 176, 1, 0, 64, 44},	//531 Nepomuk::Variant::operator=(const QList<long long>&)
    {38, 331, 178, 1, 0, 64, 45},	//532 Nepomuk::Variant::operator=(const QList<unsigned int>&)
    {38, 331, 180, 1, 0, 64, 46},	//533 Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    {38, 331, 182, 1, 0, 64, 47},	//534 Nepomuk::Variant::operator=(const QList<bool>&)
    {38, 331, 184, 1, 0, 64, 48},	//535 Nepomuk::Variant::operator=(const QList<double>&)
    {38, 331, 27, 1, 0, 64, 49},	//536 Nepomuk::Variant::operator=(const QStringList&)
    {38, 331, 186, 1, 0, 64, 50},	//537 Nepomuk::Variant::operator=(const QList<QDate>&)
    {38, 331, 188, 1, 0, 64, 51},	//538 Nepomuk::Variant::operator=(const QList<QTime>&)
    {38, 331, 190, 1, 0, 64, 52},	//539 Nepomuk::Variant::operator=(const QList<QDateTime>&)
    {38, 331, 96, 1, 0, 64, 53},	//540 Nepomuk::Variant::operator=(const QList<QUrl>&)
    {38, 331, 107, 1, 0, 64, 54},	//541 Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    {38, 152, 23, 1, 0, 0, 55},	//542 Nepomuk::Variant::append(int)
    {38, 152, 160, 1, 0, 0, 56},	//543 Nepomuk::Variant::append(long long)
    {38, 152, 162, 1, 0, 0, 57},	//544 Nepomuk::Variant::append(unsigned int)
    {38, 152, 164, 1, 0, 0, 58},	//545 Nepomuk::Variant::append(unsigned long long)
    {38, 152, 127, 1, 0, 0, 59},	//546 Nepomuk::Variant::append(bool)
    {38, 152, 166, 1, 0, 0, 60},	//547 Nepomuk::Variant::append(double)
    {38, 152, 16, 1, 0, 0, 61},	//548 Nepomuk::Variant::append(const QString&)
    {38, 152, 168, 1, 0, 0, 62},	//549 Nepomuk::Variant::append(const QDate&)
    {38, 152, 170, 1, 0, 0, 63},	//550 Nepomuk::Variant::append(const QTime&)
    {38, 152, 172, 1, 0, 0, 64},	//551 Nepomuk::Variant::append(const QDateTime&)
    {38, 152, 37, 1, 0, 0, 65},	//552 Nepomuk::Variant::append(const QUrl&)
    {38, 152, 29, 1, 0, 0, 66},	//553 Nepomuk::Variant::append(const Nepomuk::Resource&)
    {38, 152, 31, 1, 0, 0, 67},	//554 Nepomuk::Variant::append(const Nepomuk::Variant&)
    {38, 334, 31, 1, Smoke::mf_const, 228, 68},	//555 Nepomuk::Variant::operator==(const Nepomuk::Variant&) const
    {38, 329, 31, 1, Smoke::mf_const, 228, 69},	//556 Nepomuk::Variant::operator!=(const Nepomuk::Variant&) const
    {38, 293, 0, 0, Smoke::mf_const, 228, 70},	//557 Nepomuk::Variant::isValid() const
    {38, 498, 0, 0, Smoke::mf_const, 290, 71},	//558 Nepomuk::Variant::type() const
    {38, 441, 0, 0, Smoke::mf_const, 290, 72},	//559 Nepomuk::Variant::simpleType() const
    {38, 269, 0, 0, Smoke::mf_const, 228, 73},	//560 Nepomuk::Variant::isList() const
    {38, 265, 0, 0, Smoke::mf_const, 228, 74},	//561 Nepomuk::Variant::isInt() const
    {38, 266, 0, 0, Smoke::mf_const, 228, 75},	//562 Nepomuk::Variant::isInt64() const
    {38, 287, 0, 0, Smoke::mf_const, 228, 76},	//563 Nepomuk::Variant::isUnsignedInt() const
    {38, 288, 0, 0, Smoke::mf_const, 228, 77},	//564 Nepomuk::Variant::isUnsignedInt64() const
    {38, 256, 0, 0, Smoke::mf_const, 228, 78},	//565 Nepomuk::Variant::isBool() const
    {38, 262, 0, 0, Smoke::mf_const, 228, 79},	//566 Nepomuk::Variant::isDouble() const
    {38, 277, 0, 0, Smoke::mf_const, 228, 80},	//567 Nepomuk::Variant::isString() const
    {38, 258, 0, 0, Smoke::mf_const, 228, 81},	//568 Nepomuk::Variant::isDate() const
    {38, 283, 0, 0, Smoke::mf_const, 228, 82},	//569 Nepomuk::Variant::isTime() const
    {38, 260, 0, 0, Smoke::mf_const, 228, 83},	//570 Nepomuk::Variant::isDateTime() const
    {38, 291, 0, 0, Smoke::mf_const, 228, 84},	//571 Nepomuk::Variant::isUrl() const
    {38, 275, 0, 0, Smoke::mf_const, 228, 85},	//572 Nepomuk::Variant::isResource() const
    {38, 268, 0, 0, Smoke::mf_const, 228, 86},	//573 Nepomuk::Variant::isIntList() const
    {38, 267, 0, 0, Smoke::mf_const, 228, 87},	//574 Nepomuk::Variant::isInt64List() const
    {38, 290, 0, 0, Smoke::mf_const, 228, 88},	//575 Nepomuk::Variant::isUnsignedIntList() const
    {38, 289, 0, 0, Smoke::mf_const, 228, 89},	//576 Nepomuk::Variant::isUnsignedInt64List() const
    {38, 257, 0, 0, Smoke::mf_const, 228, 90},	//577 Nepomuk::Variant::isBoolList() const
    {38, 263, 0, 0, Smoke::mf_const, 228, 91},	//578 Nepomuk::Variant::isDoubleList() const
    {38, 278, 0, 0, Smoke::mf_const, 228, 92},	//579 Nepomuk::Variant::isStringList() const
    {38, 259, 0, 0, Smoke::mf_const, 228, 93},	//580 Nepomuk::Variant::isDateList() const
    {38, 284, 0, 0, Smoke::mf_const, 228, 94},	//581 Nepomuk::Variant::isTimeList() const
    {38, 261, 0, 0, Smoke::mf_const, 228, 95},	//582 Nepomuk::Variant::isDateTimeList() const
    {38, 292, 0, 0, Smoke::mf_const, 228, 96},	//583 Nepomuk::Variant::isUrlList() const
    {38, 276, 0, 0, Smoke::mf_const, 228, 97},	//584 Nepomuk::Variant::isResourceList() const
    {38, 510, 0, 0, Smoke::mf_const, 126, 98},	//585 Nepomuk::Variant::variant() const
    {38, 469, 0, 0, Smoke::mf_const, 290, 99},	//586 Nepomuk::Variant::toInt() const
    {38, 470, 0, 0, Smoke::mf_const, 292, 100},	//587 Nepomuk::Variant::toInt64() const
    {38, 481, 0, 0, Smoke::mf_const, 294, 101},	//588 Nepomuk::Variant::toUnsignedInt() const
    {38, 482, 0, 0, Smoke::mf_const, 295, 102},	//589 Nepomuk::Variant::toUnsignedInt64() const
    {38, 460, 0, 0, Smoke::mf_const, 228, 103},	//590 Nepomuk::Variant::toBool() const
    {38, 466, 0, 0, Smoke::mf_const, 289, 104},	//591 Nepomuk::Variant::toDouble() const
    {38, 477, 0, 0, Smoke::mf_const, 118, 105},	//592 Nepomuk::Variant::toString() const
    {38, 462, 0, 0, Smoke::mf_const, 71, 106},	//593 Nepomuk::Variant::toDate() const
    {38, 479, 0, 0, Smoke::mf_const, 123, 107},	//594 Nepomuk::Variant::toTime() const
    {38, 464, 0, 0, Smoke::mf_const, 72, 108},	//595 Nepomuk::Variant::toDateTime() const
    {38, 485, 0, 0, Smoke::mf_const, 125, 109},	//596 Nepomuk::Variant::toUrl() const
    {38, 475, 0, 0, Smoke::mf_const, 34, 110},	//597 Nepomuk::Variant::toResource() const
    {38, 472, 0, 0, Smoke::mf_const, 102, 111},	//598 Nepomuk::Variant::toIntList() const
    {38, 471, 0, 0, Smoke::mf_const, 103, 112},	//599 Nepomuk::Variant::toInt64List() const
    {38, 484, 0, 0, Smoke::mf_const, 104, 113},	//600 Nepomuk::Variant::toUnsignedIntList() const
    {38, 483, 0, 0, Smoke::mf_const, 105, 114},	//601 Nepomuk::Variant::toUnsignedInt64List() const
    {38, 461, 0, 0, Smoke::mf_const, 98, 115},	//602 Nepomuk::Variant::toBoolList() const
    {38, 467, 0, 0, Smoke::mf_const, 101, 116},	//603 Nepomuk::Variant::toDoubleList() const
    {38, 478, 0, 0, Smoke::mf_const, 119, 117},	//604 Nepomuk::Variant::toStringList() const
    {38, 463, 0, 0, Smoke::mf_const, 92, 118},	//605 Nepomuk::Variant::toDateList() const
    {38, 480, 0, 0, Smoke::mf_const, 94, 119},	//606 Nepomuk::Variant::toTimeList() const
    {38, 465, 0, 0, Smoke::mf_const, 93, 120},	//607 Nepomuk::Variant::toDateTimeList() const
    {38, 486, 0, 0, Smoke::mf_const, 95, 121},	//608 Nepomuk::Variant::toUrlList() const
    {38, 476, 0, 0, Smoke::mf_const, 87, 122},	//609 Nepomuk::Variant::toResourceList() const
    {38, 487, 0, 0, Smoke::mf_const, 91, 123},	//610 Nepomuk::Variant::toVariantList() const
    {38, 473, 0, 0, Smoke::mf_const, 224, 124},	//611 Nepomuk::Variant::toNode() const
    {38, 474, 0, 0, Smoke::mf_const, 96, 125},	//612 Nepomuk::Variant::toNodeList() const
    {38, 227, 18, 2, Smoke::mf_static, 63, 126},	//613 Nepomuk::Variant::fromString(const QString&, int)
    {38, 219, 35, 1, Smoke::mf_static, 63, 127},	//614 Nepomuk::Variant::fromNode(const Soprano::Node&)
    {38, 221, 194, 1, Smoke::mf_static, 63, 128},	//615 Nepomuk::Variant::fromNodeList(const QList<Soprano::Node>&)
    {38, 533, 0, 0, Smoke::mf_dtor, 0, 129 },	//616 Nepomuk::Variant::~Variant()
    {53, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 1},	//617 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {53, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 2},	//618 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {53, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 3},	//619 QGlobalSpace::Q_STATIC_TYPE (enum)
    {53, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 4},	//620 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {53, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 5},	//621 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {53, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 6},	//622 QGlobalSpace::LicensedGui (enum)
    {53, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 7},	//623 QGlobalSpace::LicensedXml (enum)
    {53, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 8},	//624 QGlobalSpace::LicensedQt3SupportLight (enum)
    {53, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 9},	//625 QGlobalSpace::LicensedScript (enum)
    {53, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 10},	//626 QGlobalSpace::LicensedOpenVG (enum)
    {53, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 11},	//627 QGlobalSpace::LicensedDBus (enum)
    {53, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 12},	//628 QGlobalSpace::LicensedTest (enum)
    {53, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 13},	//629 QGlobalSpace::LicensedActiveQt (enum)
    {53, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 14},	//630 QGlobalSpace::LicensedScriptTools (enum)
    {53, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 15},	//631 QGlobalSpace::LicensedSvg (enum)
    {53, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 16},	//632 QGlobalSpace::LicensedDeclarative (enum)
    {53, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 17},	//633 QGlobalSpace::LicensedSql (enum)
    {53, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 18},	//634 QGlobalSpace::LicensedOpenGL (enum)
    {53, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 19},	//635 QGlobalSpace::LicensedCore (enum)
    {53, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 20},	//636 QGlobalSpace::QtDebugMsg (enum)
    {53, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 21},	//637 QGlobalSpace::QtWarningMsg (enum)
    {53, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 22},	//638 QGlobalSpace::QtCriticalMsg (enum)
    {53, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 23},	//639 QGlobalSpace::QtFatalMsg (enum)
    {53, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 24},	//640 QGlobalSpace::QtSystemMsg (enum)
    {53, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 25},	//641 QGlobalSpace::LicensedHelp (enum)
    {53, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 26},	//642 QGlobalSpace::LicensedMultimedia (enum)
    {53, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 27},	//643 QGlobalSpace::LicensedQt3Support (enum)
    {53, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 28},	//644 QGlobalSpace::LicensedXmlPatterns (enum)
    {53, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 29},	//645 QGlobalSpace::LicensedNetwork (enum)
    {61, 195, 196, 1, Smoke::mf_virtual, 228, 0},	//646 QObject::event(QEvent*)
    {61, 196, 198, 2, Smoke::mf_virtual, 228, 0},	//647 QObject::eventFilter(QObject*, QEvent*)
    {61, 459, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//648 QObject::timerEvent(QTimerEvent*)
    {61, 159, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//649 QObject::childEvent(QChildEvent*)
    {61, 172, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//650 QObject::customEvent(QEvent*)
    {61, 166, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//651 QObject::connectNotify(const char*)
    {61, 182, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//652 QObject::disconnectNotify(const char*)
    {76, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//653 QWidget::devType() const
    {76, 439, 127, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//654 QWidget::setVisible(bool)
    {76, 442, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 117, 0},	//655 QWidget::sizeHint() const
    {76, 313, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 117, 0},	//656 QWidget::minimumSizeHint() const
    {76, 243, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//657 QWidget::heightForWidth(int) const
    {76, 337, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 0},	//658 QWidget::paintEngine() const
    {76, 195, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//659 QWidget::event(QEvent*)
    {76, 317, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//660 QWidget::mousePressEvent(QMouseEvent*)
    {76, 318, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//661 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 315, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//662 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 316, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//663 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 511, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//664 QWidget::wheelEvent(QWheelEvent*)
    {76, 294, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//665 QWidget::keyPressEvent(QKeyEvent*)
    {76, 295, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//666 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 215, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//667 QWidget::focusInEvent(QFocusEvent*)
    {76, 217, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//668 QWidget::focusOutEvent(QFocusEvent*)
    {76, 190, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//669 QWidget::enterEvent(QEvent*)
    {76, 300, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//670 QWidget::leaveEvent(QEvent*)
    {76, 338, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//671 QWidget::paintEvent(QPaintEvent*)
    {76, 319, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//672 QWidget::moveEvent(QMoveEvent*)
    {76, 370, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//673 QWidget::resizeEvent(QResizeEvent*)
    {76, 163, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//674 QWidget::closeEvent(QCloseEvent*)
    {76, 167, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//675 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 449, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QWidget::tabletEvent(QTabletEvent*)
    {76, 106, 223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QWidget::actionEvent(QActionEvent*)
    {76, 185, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 187, 227, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 186, 229, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 188, 231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QWidget::dropEvent(QDropEvent*)
    {76, 440, 233, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QWidget::showEvent(QShowEvent*)
    {76, 244, 235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QWidget::hideEvent(QHideEvent*)
    {76, 513, 237, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//684 QWidget::x11Event(_XEvent*)
    {76, 158, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QWidget::changeEvent(QEvent*)
    {76, 311, 239, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 0},	//686 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 251, 241, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//687 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 252, 243, 1, Smoke::mf_const|Smoke::mf_virtual, 126, 0},	//688 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 216, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 228, 0},	//689 QWidget::focusNextPrevChild(bool)
    {76, 444, 245, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//690 QWidget::styleChange(QStyle&)
    {76, 189, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QWidget::enabledChange(bool)
    {76, 339, 247, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QWidget::paletteChange(const QPalette&)
    {76, 218, 249, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::fontChange(const QFont&)
    {76, 512, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::windowActivationChange(bool)
    {76, 299, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    341,  // Nepomuk::TagWidget::TagWidget(QWidget*)
    359,  // Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    0,
    436,  // Nepomuk::Types::Entity::comment()
    437,  // Nepomuk::Types::Entity::comment() const
    0,
    419,  // Nepomuk::Types::Entity::comment(const QString&)
    420,  // Nepomuk::Types::Entity::comment(const QString&) const
    0,
    421,  // Nepomuk::Types::Entity::icon()
    422,  // Nepomuk::Types::Entity::icon() const
    0,
    424,  // Nepomuk::Types::Entity::isAvailable()
    425,  // Nepomuk::Types::Entity::isAvailable() const
    0,
    434,  // Nepomuk::Types::Entity::label()
    435,  // Nepomuk::Types::Entity::label() const
    0,
    417,  // Nepomuk::Types::Entity::label(const QString&)
    418,  // Nepomuk::Types::Entity::label(const QString&) const
    0,
    431,  // Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    432,  // Nepomuk::Types::Entity::operator!=(const QUrl&) const
    0,
    429,  // Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    430,  // Nepomuk::Types::Entity::operator==(const QUrl&) const
    0,
    489,  // Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    490,  // Nepomuk::Variant::Variant(const QVariant&)
    499,  // Nepomuk::Variant::Variant(const QDate&)
    500,  // Nepomuk::Variant::Variant(const QTime&)
    501,  // Nepomuk::Variant::Variant(const QDateTime&)
    502,  // Nepomuk::Variant::Variant(const QUrl&)
    503,  // Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    0,
    491,  // Nepomuk::Variant::Variant(int)
    492,  // Nepomuk::Variant::Variant(long long)
    493,  // Nepomuk::Variant::Variant(unsigned int)
    494,  // Nepomuk::Variant::Variant(unsigned long long)
    495,  // Nepomuk::Variant::Variant(bool)
    496,  // Nepomuk::Variant::Variant(double)
    497,  // Nepomuk::Variant::Variant(const char*)
    498,  // Nepomuk::Variant::Variant(const QString&)
    0,
    504,  // Nepomuk::Variant::Variant(const QList<int>&)
    505,  // Nepomuk::Variant::Variant(const QList<long long>&)
    506,  // Nepomuk::Variant::Variant(const QList<unsigned int>&)
    507,  // Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    508,  // Nepomuk::Variant::Variant(const QList<bool>&)
    509,  // Nepomuk::Variant::Variant(const QList<double>&)
    510,  // Nepomuk::Variant::Variant(const QStringList&)
    511,  // Nepomuk::Variant::Variant(const QList<QDate>&)
    512,  // Nepomuk::Variant::Variant(const QList<QTime>&)
    513,  // Nepomuk::Variant::Variant(const QList<QDateTime>&)
    514,  // Nepomuk::Variant::Variant(const QList<QUrl>&)
    515,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    516,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    0,
    549,  // Nepomuk::Variant::append(const QDate&)
    550,  // Nepomuk::Variant::append(const QTime&)
    551,  // Nepomuk::Variant::append(const QDateTime&)
    552,  // Nepomuk::Variant::append(const QUrl&)
    553,  // Nepomuk::Variant::append(const Nepomuk::Resource&)
    554,  // Nepomuk::Variant::append(const Nepomuk::Variant&)
    0,
    542,  // Nepomuk::Variant::append(int)
    543,  // Nepomuk::Variant::append(long long)
    544,  // Nepomuk::Variant::append(unsigned int)
    545,  // Nepomuk::Variant::append(unsigned long long)
    546,  // Nepomuk::Variant::append(bool)
    547,  // Nepomuk::Variant::append(double)
    548,  // Nepomuk::Variant::append(const QString&)
    0,
    517,  // Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    525,  // Nepomuk::Variant::operator=(const QDate&)
    526,  // Nepomuk::Variant::operator=(const QTime&)
    527,  // Nepomuk::Variant::operator=(const QDateTime&)
    528,  // Nepomuk::Variant::operator=(const QUrl&)
    529,  // Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    0,
    518,  // Nepomuk::Variant::operator=(int)
    519,  // Nepomuk::Variant::operator=(long long)
    520,  // Nepomuk::Variant::operator=(unsigned int)
    521,  // Nepomuk::Variant::operator=(unsigned long long)
    522,  // Nepomuk::Variant::operator=(bool)
    523,  // Nepomuk::Variant::operator=(double)
    524,  // Nepomuk::Variant::operator=(const QString&)
    0,
    530,  // Nepomuk::Variant::operator=(const QList<int>&)
    531,  // Nepomuk::Variant::operator=(const QList<long long>&)
    532,  // Nepomuk::Variant::operator=(const QList<unsigned int>&)
    533,  // Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    534,  // Nepomuk::Variant::operator=(const QList<bool>&)
    535,  // Nepomuk::Variant::operator=(const QList<double>&)
    536,  // Nepomuk::Variant::operator=(const QStringList&)
    537,  // Nepomuk::Variant::operator=(const QList<QDate>&)
    538,  // Nepomuk::Variant::operator=(const QList<QTime>&)
    539,  // Nepomuk::Variant::operator=(const QList<QDateTime>&)
    540,  // Nepomuk::Variant::operator=(const QList<QUrl>&)
    541,  // Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    0,
    88,  // Nepomuk::File::File(const Nepomuk::Resource&)
    92,  // Nepomuk::File::File(const Nepomuk::File&)
    94,  // Nepomuk::File::File(const KUrl&)
    0,
    106,  // Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    107,  // Nepomuk::Literal::Literal(const QUrl&)
    0,
    156,  // Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    157,  // Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    163,  // Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    248,  // Nepomuk::Resource::Resource(const QUrl&)
    0,
    164,  // Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    165,  // Nepomuk::Resource::operator=(const QUrl&)
    0,
    449,  // Nepomuk::Types::Ontology::Ontology(const QUrl&)
    450,  // Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    0,
    300,  // Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    301,  // Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    302,  // Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    305,  // Nepomuk::Tag::Tag(const QUrl&)
    0,
    306,  // Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    312,  // Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    0,
    304,  // Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    311,  // Nepomuk::Tag::Tag(const QString&, const QUrl&)
    0,
    387,  // Nepomuk::Types::Class::Class(const QUrl&)
    388,  // Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    0,
    402,  // Nepomuk::Types::Class::allParentClasses()
    403,  // Nepomuk::Types::Class::allParentClasses() const
    0,
    404,  // Nepomuk::Types::Class::allSubClasses()
    405,  // Nepomuk::Types::Class::allSubClasses() const
    0,
    392,  // Nepomuk::Types::Class::domainOf()
    393,  // Nepomuk::Types::Class::domainOf() const
    0,
    410,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    411,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    0,
    396,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    397,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    0,
    394,  // Nepomuk::Types::Class::findPropertyByName(const QString&)
    395,  // Nepomuk::Types::Class::findPropertyByName(const QString&) const
    0,
    406,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    407,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    0,
    408,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    409,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    0,
    398,  // Nepomuk::Types::Class::parentClasses()
    399,  // Nepomuk::Types::Class::parentClasses() const
    0,
    390,  // Nepomuk::Types::Class::rangeOf()
    391,  // Nepomuk::Types::Class::rangeOf() const
    0,
    400,  // Nepomuk::Types::Class::subClasses()
    401,  // Nepomuk::Types::Class::subClasses() const
    0,
    441,  // Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    442,  // Nepomuk::Types::Literal::Literal(const QUrl&)
    0,
    371,  // Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    372,  // Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    373,  // Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    382,  // Nepomuk::Thing::Thing(const QUrl&)
    0,
    374,  // Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    375,  // Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    376,  // Nepomuk::Thing::operator=(const QUrl&)
    0,
    462,  // Nepomuk::Types::Property::Property(const QUrl&)
    463,  // Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    0,
    477,  // Nepomuk::Types::Property::cardinality()
    478,  // Nepomuk::Types::Property::cardinality() const
    0,
    475,  // Nepomuk::Types::Property::domain()
    476,  // Nepomuk::Types::Property::domain() const
    0,
    469,  // Nepomuk::Types::Property::inverseProperty()
    470,  // Nepomuk::Types::Property::inverseProperty() const
    0,
    483,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    484,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    0,
    485,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    486,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    0,
    473,  // Nepomuk::Types::Property::literalRangeType()
    474,  // Nepomuk::Types::Property::literalRangeType() const
    0,
    481,  // Nepomuk::Types::Property::maxCardinality()
    482,  // Nepomuk::Types::Property::maxCardinality() const
    0,
    479,  // Nepomuk::Types::Property::minCardinality()
    480,  // Nepomuk::Types::Property::minCardinality() const
    0,
    465,  // Nepomuk::Types::Property::parentProperties()
    466,  // Nepomuk::Types::Property::parentProperties() const
    0,
    471,  // Nepomuk::Types::Property::range()
    472,  // Nepomuk::Types::Property::range() const
    0,
    467,  // Nepomuk::Types::Property::subProperties()
    468,  // Nepomuk::Types::Property::subProperties() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 20, 19},	// KTagCloudWidget::KTagCloudWidget
    {6, 21, 8},	// KTagCloudWidget::KTagCloudWidget#
    {6, 126, 10},	// KTagCloudWidget::addTag$$
    {6, 128, 11},	// KTagCloudWidget::addTags?
    {6, 161, 12},	// KTagCloudWidget::clear
    {6, 310, 1},	// KTagCloudWidget::metaObject
    {6, 351, 7},	// KTagCloudWidget::qt_metacall$$?
    {6, 353, 2},	// KTagCloudWidget::qt_metacast$
    {6, 371, 16},	// KTagCloudWidget::resizeEvent#
    {6, 405, 13},	// KTagCloudWidget::setMaxFontSize$
    {6, 409, 14},	// KTagCloudWidget::setMinFontSize$
    {6, 443, 20},	// KTagCloudWidget::staticMetaObject
    {6, 452, 15},	// KTagCloudWidget::tagClicked$
    {6, 456, 9},	// KTagCloudWidget::tagWeight$
    {6, 491, 17},	// KTagCloudWidget::tr$
    {6, 492, 3},	// KTagCloudWidget::tr$$
    {6, 493, 5},	// KTagCloudWidget::tr$$$
    {6, 495, 18},	// KTagCloudWidget::trUtf8$
    {6, 496, 4},	// KTagCloudWidget::trUtf8$$
    {6, 497, 6},	// KTagCloudWidget::trUtf8$$$
    {6, 519, 21},	// KTagCloudWidget::~KTagCloudWidget
    {7, 22, 37},	// KTagDisplayWidget::KTagDisplayWidget
    {7, 23, 29},	// KTagDisplayWidget::KTagDisplayWidget#
    {7, 125, 31},	// KTagDisplayWidget::addTag$
    {7, 128, 32},	// KTagDisplayWidget::addTags?
    {7, 161, 33},	// KTagDisplayWidget::clear
    {7, 310, 22},	// KTagDisplayWidget::metaObject
    {7, 351, 28},	// KTagDisplayWidget::qt_metacall$$?
    {7, 353, 23},	// KTagDisplayWidget::qt_metacast$
    {7, 434, 30},	// KTagDisplayWidget::setTags?
    {7, 443, 38},	// KTagDisplayWidget::staticMetaObject
    {7, 452, 34},	// KTagDisplayWidget::tagClicked$
    {7, 491, 35},	// KTagDisplayWidget::tr$
    {7, 492, 24},	// KTagDisplayWidget::tr$$
    {7, 493, 26},	// KTagDisplayWidget::tr$$$
    {7, 495, 36},	// KTagDisplayWidget::trUtf8$
    {7, 496, 25},	// KTagDisplayWidget::trUtf8$$
    {7, 497, 27},	// KTagDisplayWidget::trUtf8$$$
    {7, 520, 39},	// KTagDisplayWidget::~KTagDisplayWidget
    {9, 3, 54},	// Nepomuk::CommunicationError
    {9, 19, 55},	// Nepomuk::InvalidType
    {9, 48, 53},	// Nepomuk::NoError
    {9, 68, 50},	// Nepomuk::RDFLiteralToValue#
    {9, 101, 56},	// Nepomuk::UnknownError
    {9, 175, 46},	// Nepomuk::defaultGraph
    {9, 194, 45},	// Nepomuk::errorString$
    {9, 199, 51},	// Nepomuk::extractNamespace#
    {9, 321, 49},	// Nepomuk::naoNamespace
    {9, 326, 44},	// Nepomuk::nrlNamespace
    {9, 349, 41},	// Nepomuk::qHash#
    {9, 358, 40},	// Nepomuk::rdfNamepace
    {9, 359, 48},	// Nepomuk::rdfsNamespace
    {9, 391, 43},	// Nepomuk::setDefaultRepository$
    {9, 499, 47},	// Nepomuk::typePredicate
    {9, 507, 52},	// Nepomuk::valueToRDFNode#
    {9, 509, 42},	// Nepomuk::valuesToRDFNodes#
    {10, 1, 57},	// Nepomuk::Class::Class
    {10, 2, 58},	// Nepomuk::Class::Class#
    {10, 137, 60},	// Nepomuk::Class::allProperties
    {10, 209, 69},	// Nepomuk::Class::findPropertyByLabel$
    {10, 210, 62},	// Nepomuk::Class::findPropertyByLabel$$
    {10, 212, 61},	// Nepomuk::Class::findPropertyByName$
    {10, 214, 63},	// Nepomuk::Class::findPropertyByUri#
    {10, 271, 66},	// Nepomuk::Class::isParentOf#
    {10, 280, 67},	// Nepomuk::Class::isSubClassOf#
    {10, 303, 68},	// Nepomuk::Class::load#
    {10, 332, 59},	// Nepomuk::Class::operator=#
    {10, 340, 64},	// Nepomuk::Class::parentClasses
    {10, 445, 65},	// Nepomuk::Class::subClasses
    {10, 514, 70},	// Nepomuk::Class::~Class
    {11, 4, 71},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader
    {11, 5, 74},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader#
    {11, 135, 72},	// Nepomuk::DesktopOntologyLoader::allOntologies
    {11, 305, 73},	// Nepomuk::DesktopOntologyLoader::loadOntology#
    {11, 515, 75},	// Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader
    {12, 9, 83},	// Nepomuk::Entity::Entity
    {12, 10, 76},	// Nepomuk::Entity::Entity#
    {12, 164, 85},	// Nepomuk::Entity::comment
    {12, 165, 82},	// Nepomuk::Entity::comment$
    {12, 176, 78},	// Nepomuk::Entity::definingOntology
    {12, 296, 84},	// Nepomuk::Entity::label
    {12, 297, 81},	// Nepomuk::Entity::label$
    {12, 320, 79},	// Nepomuk::Entity::name
    {12, 332, 77},	// Nepomuk::Entity::operator=#
    {12, 502, 80},	// Nepomuk::Entity::uri
    {12, 516, 86},	// Nepomuk::Entity::~Entity
    {13, 11, 93},	// Nepomuk::File::File
    {13, 12, -102},	// Nepomuk::File::File#
    {13, 13, 87},	// Nepomuk::File::File##
    {13, 181, 91},	// Nepomuk::File::dirResource
    {13, 332, 89},	// Nepomuk::File::operator=#
    {13, 503, 90},	// Nepomuk::File::url
    {13, 517, 95},	// Nepomuk::File::~File
    {14, 14, 96},	// Nepomuk::FileOntologyLoader::FileOntologyLoader
    {14, 15, 102},	// Nepomuk::FileOntologyLoader::FileOntologyLoader#
    {14, 16, 103},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$
    {14, 17, 97},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$?
    {14, 200, 99},	// Nepomuk::FileOntologyLoader::fileName
    {14, 305, 101},	// Nepomuk::FileOntologyLoader::loadOntology#
    {14, 395, 98},	// Nepomuk::FileOntologyLoader::setFileName$
    {14, 424, 100},	// Nepomuk::FileOntologyLoader::setSerialization?
    {14, 518, 104},	// Nepomuk::FileOntologyLoader::~FileOntologyLoader
    {15, 43, 105},	// Nepomuk::Literal::Literal
    {15, 44, -106},	// Nepomuk::Literal::Literal#
    {15, 173, 110},	// Nepomuk::Literal::dataType
    {15, 174, 109},	// Nepomuk::Literal::dataTypeUri
    {15, 332, 108},	// Nepomuk::Literal::operator=#
    {15, 521, 111},	// Nepomuk::Literal::~Literal
    {16, 46, 112},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader
    {16, 47, 114},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader#
    {16, 305, 113},	// Nepomuk::NepomukOntologyLoader::loadOntology#
    {16, 522, 115},	// Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader
    {17, 49, 116},	// Nepomuk::Ontology::Ontology
    {17, 50, 117},	// Nepomuk::Ontology::Ontology#
    {17, 134, 120},	// Nepomuk::Ontology::allClasses
    {17, 137, 124},	// Nepomuk::Ontology::allProperties
    {17, 202, 129},	// Nepomuk::Ontology::findClassByLabel$
    {17, 203, 122},	// Nepomuk::Ontology::findClassByLabel$$
    {17, 205, 121},	// Nepomuk::Ontology::findClassByName$
    {17, 207, 123},	// Nepomuk::Ontology::findClassByUri#
    {17, 209, 130},	// Nepomuk::Ontology::findPropertyByLabel$
    {17, 210, 126},	// Nepomuk::Ontology::findPropertyByLabel$$
    {17, 212, 125},	// Nepomuk::Ontology::findPropertyByName$
    {17, 214, 127},	// Nepomuk::Ontology::findPropertyByUri#
    {17, 303, 128},	// Nepomuk::Ontology::load#
    {17, 332, 118},	// Nepomuk::Ontology::operator=#
    {17, 502, 119},	// Nepomuk::Ontology::uri
    {17, 523, 131},	// Nepomuk::Ontology::~Ontology
    {18, 51, 133},	// Nepomuk::OntologyLoader::OntologyLoader
    {18, 52, 134},	// Nepomuk::OntologyLoader::OntologyLoader#
    {18, 305, 132},	// Nepomuk::OntologyLoader::loadOntology#
    {18, 524, 135},	// Nepomuk::OntologyLoader::~OntologyLoader
    {19, 54, 139},	// Nepomuk::OntologyManager::OntologyManager#
    {19, 235, 138},	// Nepomuk::OntologyManager::getOntology#
    {19, 253, 136},	// Nepomuk::OntologyManager::instance
    {19, 413, 137},	// Nepomuk::OntologyManager::setOntologyLoader#
    {19, 525, 140},	// Nepomuk::OntologyManager::~OntologyManager
    {20, 55, 141},	// Nepomuk::Property::Property
    {20, 56, 142},	// Nepomuk::Property::Property#
    {20, 157, 150},	// Nepomuk::Property::cardinality
    {20, 183, 149},	// Nepomuk::Property::domain
    {20, 254, 146},	// Nepomuk::Property::inverseProperty
    {20, 301, 148},	// Nepomuk::Property::literalRangeType
    {20, 303, 153},	// Nepomuk::Property::load#
    {20, 308, 152},	// Nepomuk::Property::maxCardinality
    {20, 312, 151},	// Nepomuk::Property::minCardinality
    {20, 332, 143},	// Nepomuk::Property::operator=#
    {20, 341, 145},	// Nepomuk::Property::parentOf
    {20, 342, 144},	// Nepomuk::Property::parentProperties
    {20, 354, 147},	// Nepomuk::Property::range
    {20, 526, 154},	// Nepomuk::Property::~Property
    {24, 70, 155},	// Nepomuk::Resource::Resource
    {24, 71, -109},	// Nepomuk::Resource::Resource#
    {24, 72, 161},	// Nepomuk::Resource::Resource##
    {24, 73, 162},	// Nepomuk::Resource::Resource###
    {24, 74, 247},	// Nepomuk::Resource::Resource$
    {24, 75, 158},	// Nepomuk::Resource::Resource$#
    {24, 76, 159},	// Nepomuk::Resource::Resource$##
    {24, 77, 160},	// Nepomuk::Resource::Resource$$
    {24, 108, 207},	// Nepomuk::Resource::addAltLabel$
    {24, 110, 211},	// Nepomuk::Resource::addAnnotation#
    {24, 114, 203},	// Nepomuk::Resource::addIdentifier$
    {24, 116, 227},	// Nepomuk::Resource::addIsRelated#
    {24, 118, 223},	// Nepomuk::Resource::addIsTopicOf#
    {24, 120, 184},	// Nepomuk::Resource::addProperty##
    {24, 122, 237},	// Nepomuk::Resource::addSymbol$
    {24, 124, 215},	// Nepomuk::Resource::addTag#
    {24, 130, 219},	// Nepomuk::Resource::addTopic#
    {24, 132, 173},	// Nepomuk::Resource::addType#
    {24, 137, 176},	// Nepomuk::Resource::allProperties
    {24, 138, 241},	// Nepomuk::Resource::allResources
    {24, 147, 208},	// Nepomuk::Resource::altLabelUri
    {24, 148, 205},	// Nepomuk::Resource::altLabels
    {24, 149, 239},	// Nepomuk::Resource::annotationOf
    {24, 150, 212},	// Nepomuk::Resource::annotationUri
    {24, 151, 209},	// Nepomuk::Resource::annotations
    {24, 160, 175},	// Nepomuk::Resource::className
    {24, 178, 198},	// Nepomuk::Resource::description
    {24, 179, 200},	// Nepomuk::Resource::descriptionUri
    {24, 197, 190},	// Nepomuk::Resource::exists
    {24, 224, 249},	// Nepomuk::Resource::fromResourceUri#
    {24, 225, 250},	// Nepomuk::Resource::fromResourceUri##
    {24, 226, 246},	// Nepomuk::Resource::fromResourceUri###
    {24, 231, 193},	// Nepomuk::Resource::genericDescription
    {24, 232, 194},	// Nepomuk::Resource::genericIcon
    {24, 233, 192},	// Nepomuk::Resource::genericLabel
    {24, 238, 178},	// Nepomuk::Resource::hasProperty#
    {24, 239, 179},	// Nepomuk::Resource::hasProperty##
    {24, 240, 180},	// Nepomuk::Resource::hasProperty$
    {24, 242, 174},	// Nepomuk::Resource::hasType#
    {24, 246, 204},	// Nepomuk::Resource::identifierUri
    {24, 247, 201},	// Nepomuk::Resource::identifiers
    {24, 248, 243},	// Nepomuk::Resource::increaseUsageCount
    {24, 264, 244},	// Nepomuk::Resource::isFile
    {24, 272, 240},	// Nepomuk::Resource::isRelatedOf
    {24, 273, 228},	// Nepomuk::Resource::isRelatedUri
    {24, 274, 225},	// Nepomuk::Resource::isRelateds
    {24, 285, 224},	// Nepomuk::Resource::isTopicOfUri
    {24, 286, 221},	// Nepomuk::Resource::isTopicOfs
    {24, 293, 191},	// Nepomuk::Resource::isValid
    {24, 296, 229},	// Nepomuk::Resource::label
    {24, 298, 231},	// Nepomuk::Resource::labelUri
    {24, 307, 166},	// Nepomuk::Resource::manager
    {24, 330, 197},	// Nepomuk::Resource::operator!=#
    {24, 332, -114},	// Nepomuk::Resource::operator=#
    {24, 335, 196},	// Nepomuk::Resource::operator==#
    {24, 343, 195},	// Nepomuk::Resource::pimoThing
    {24, 344, 177},	// Nepomuk::Resource::properties
    {24, 346, 181},	// Nepomuk::Resource::property#
    {24, 347, 182},	// Nepomuk::Resource::property$
    {24, 356, 232},	// Nepomuk::Resource::rating
    {24, 357, 234},	// Nepomuk::Resource::ratingUri
    {24, 361, 189},	// Nepomuk::Resource::remove
    {24, 363, 186},	// Nepomuk::Resource::removeProperty#
    {24, 364, 187},	// Nepomuk::Resource::removeProperty##
    {24, 365, 188},	// Nepomuk::Resource::removeProperty$
    {24, 374, 170},	// Nepomuk::Resource::resourceType
    {24, 376, 168},	// Nepomuk::Resource::resourceUri
    {24, 383, 206},	// Nepomuk::Resource::setAltLabels?
    {24, 385, 210},	// Nepomuk::Resource::setAnnotations?
    {24, 393, 199},	// Nepomuk::Resource::setDescription$
    {24, 397, 202},	// Nepomuk::Resource::setIdentifiers?
    {24, 399, 226},	// Nepomuk::Resource::setIsRelateds?
    {24, 401, 222},	// Nepomuk::Resource::setIsTopicOfs?
    {24, 403, 230},	// Nepomuk::Resource::setLabel$
    {24, 417, 183},	// Nepomuk::Resource::setProperty##
    {24, 418, 185},	// Nepomuk::Resource::setProperty$#
    {24, 420, 233},	// Nepomuk::Resource::setRating$
    {24, 428, 236},	// Nepomuk::Resource::setSymbols?
    {24, 434, 214},	// Nepomuk::Resource::setTags?
    {24, 436, 218},	// Nepomuk::Resource::setTopics?
    {24, 438, 172},	// Nepomuk::Resource::setTypes?
    {24, 447, 238},	// Nepomuk::Resource::symbolUri
    {24, 448, 235},	// Nepomuk::Resource::symbols
    {24, 454, 216},	// Nepomuk::Resource::tagUri
    {24, 458, 213},	// Nepomuk::Resource::tags
    {24, 468, 245},	// Nepomuk::Resource::toFile
    {24, 488, 220},	// Nepomuk::Resource::topicUri
    {24, 489, 217},	// Nepomuk::Resource::topics
    {24, 498, 169},	// Nepomuk::Resource::type
    {24, 500, 171},	// Nepomuk::Resource::types
    {24, 502, 167},	// Nepomuk::Resource::uri
    {24, 504, 242},	// Nepomuk::Resource::usageCount
    {24, 527, 251},	// Nepomuk::Resource::~Resource
    {26, 140, 267},	// Nepomuk::ResourceManager::allResourcesOfType#
    {26, 141, 268},	// Nepomuk::ResourceManager::allResourcesOfType$
    {26, 143, 269},	// Nepomuk::ResourceManager::allResourcesWithProperty##
    {26, 144, 270},	// Nepomuk::ResourceManager::allResourcesWithProperty$#
    {26, 162, 271},	// Nepomuk::ResourceManager::clearCache
    {26, 169, 275},	// Nepomuk::ResourceManager::createManagerForModel#
    {26, 171, 265},	// Nepomuk::ResourceManager::createResourceFromUri$
    {26, 177, 260},	// Nepomuk::ResourceManager::deleteInstance
    {26, 192, 277},	// Nepomuk::ResourceManager::error$$
    {26, 229, 272},	// Nepomuk::ResourceManager::generateUniqueUri
    {26, 230, 273},	// Nepomuk::ResourceManager::generateUniqueUri$
    {26, 249, 261},	// Nepomuk::ResourceManager::init
    {26, 250, 262},	// Nepomuk::ResourceManager::initialized
    {26, 253, 259},	// Nepomuk::ResourceManager::instance
    {26, 306, 263},	// Nepomuk::ResourceManager::mainModel
    {26, 310, 252},	// Nepomuk::ResourceManager::metaObject
    {26, 322, 278},	// Nepomuk::ResourceManager::nepomukSystemStarted
    {26, 323, 279},	// Nepomuk::ResourceManager::nepomukSystemStopped
    {26, 325, 274},	// Nepomuk::ResourceManager::notifyError$$
    {26, 351, 258},	// Nepomuk::ResourceManager::qt_metacall$$?
    {26, 353, 253},	// Nepomuk::ResourceManager::qt_metacast$
    {26, 367, 266},	// Nepomuk::ResourceManager::removeResource$
    {26, 373, 276},	// Nepomuk::ResourceManager::resourceModified$
    {26, 415, 264},	// Nepomuk::ResourceManager::setOverrideMainModel#
    {26, 443, 282},	// Nepomuk::ResourceManager::staticMetaObject
    {26, 491, 280},	// Nepomuk::ResourceManager::tr$
    {26, 492, 254},	// Nepomuk::ResourceManager::tr$$
    {26, 493, 256},	// Nepomuk::ResourceManager::tr$$$
    {26, 495, 281},	// Nepomuk::ResourceManager::trUtf8$
    {26, 496, 255},	// Nepomuk::ResourceManager::trUtf8$$
    {26, 497, 257},	// Nepomuk::ResourceManager::trUtf8$$$
    {27, 78, 295},	// Nepomuk::Service::Service
    {27, 79, 296},	// Nepomuk::Service::Service#
    {27, 80, 290},	// Nepomuk::Service::Service#$
    {27, 306, 291},	// Nepomuk::Service::mainModel
    {27, 310, 283},	// Nepomuk::Service::metaObject
    {27, 351, 289},	// Nepomuk::Service::qt_metacall$$?
    {27, 353, 284},	// Nepomuk::Service::qt_metacast$
    {27, 426, 292},	// Nepomuk::Service::setServiceInitialized$
    {27, 443, 297},	// Nepomuk::Service::staticMetaObject
    {27, 491, 293},	// Nepomuk::Service::tr$
    {27, 492, 285},	// Nepomuk::Service::tr$$
    {27, 493, 287},	// Nepomuk::Service::tr$$$
    {27, 495, 294},	// Nepomuk::Service::trUtf8$
    {27, 496, 286},	// Nepomuk::Service::trUtf8$$
    {27, 497, 288},	// Nepomuk::Service::trUtf8$$$
    {27, 528, 298},	// Nepomuk::Service::~Service
    {28, 82, 299},	// Nepomuk::Tag::Tag
    {28, 83, -120},	// Nepomuk::Tag::Tag#
    {28, 84, -125},	// Nepomuk::Tag::Tag##
    {28, 85, 314},	// Nepomuk::Tag::Tag###
    {28, 86, 303},	// Nepomuk::Tag::Tag$
    {28, 87, -128},	// Nepomuk::Tag::Tag$#
    {28, 88, 313},	// Nepomuk::Tag::Tag$##
    {28, 146, 309},	// Nepomuk::Tag::allTags
    {28, 332, 307},	// Nepomuk::Tag::operator=#
    {28, 375, 310},	// Nepomuk::Tag::resourceTypeUri
    {28, 453, 308},	// Nepomuk::Tag::tagOf
    {28, 529, 315},	// Nepomuk::Tag::~Tag
    {29, 89, 330},	// Nepomuk::TagCloud::TagCloud
    {29, 90, 323},	// Nepomuk::TagCloud::TagCloud#
    {29, 156, 324},	// Nepomuk::TagCloud::autoUpdate
    {29, 310, 316},	// Nepomuk::TagCloud::metaObject
    {29, 351, 322},	// Nepomuk::TagCloud::qt_metacall$$?
    {29, 353, 317},	// Nepomuk::TagCloud::qt_metacast$
    {29, 389, 326},	// Nepomuk::TagCloud::setAutoUpdate$
    {29, 443, 331},	// Nepomuk::TagCloud::staticMetaObject
    {29, 451, 327},	// Nepomuk::TagCloud::tagClicked#
    {29, 491, 328},	// Nepomuk::TagCloud::tr$
    {29, 492, 318},	// Nepomuk::TagCloud::tr$$
    {29, 493, 320},	// Nepomuk::TagCloud::tr$$$
    {29, 495, 329},	// Nepomuk::TagCloud::trUtf8$
    {29, 496, 319},	// Nepomuk::TagCloud::trUtf8$$
    {29, 497, 321},	// Nepomuk::TagCloud::trUtf8$$$
    {29, 501, 325},	// Nepomuk::TagCloud::updateTags
    {29, 530, 332},	// Nepomuk::TagCloud::~TagCloud
    {30, 6, 365},	// Nepomuk::TagWidget::DisableTagClicking
    {30, 45, 362},	// Nepomuk::TagWidget::MiniMode
    {30, 69, 364},	// Nepomuk::TagWidget::ReadOnly
    {30, 81, 363},	// Nepomuk::TagWidget::StandardMode
    {30, 91, 360},	// Nepomuk::TagWidget::TagWidget
    {30, 92, -1},	// Nepomuk::TagWidget::TagWidget#
    {30, 93, 340},	// Nepomuk::TagWidget::TagWidget##
    {30, 133, 346},	// Nepomuk::TagWidget::alignment
    {30, 155, 343},	// Nepomuk::TagWidget::assignedTags
    {30, 309, 345},	// Nepomuk::TagWidget::maxTagsShown
    {30, 310, 333},	// Nepomuk::TagWidget::metaObject
    {30, 314, 347},	// Nepomuk::TagWidget::modeFlags
    {30, 351, 339},	// Nepomuk::TagWidget::qt_metacall$$?
    {30, 353, 334},	// Nepomuk::TagWidget::qt_metacast$
    {30, 377, 344},	// Nepomuk::TagWidget::selectedTags
    {30, 379, 349},	// Nepomuk::TagWidget::selectionChanged?
    {30, 381, 355},	// Nepomuk::TagWidget::setAlignment$
    {30, 387, 352},	// Nepomuk::TagWidget::setAssignedTags?
    {30, 407, 354},	// Nepomuk::TagWidget::setMaxTagsShown$
    {30, 411, 356},	// Nepomuk::TagWidget::setModeFlags$
    {30, 422, 353},	// Nepomuk::TagWidget::setSelectedTags?
    {30, 430, 350},	// Nepomuk::TagWidget::setTaggedResource#
    {30, 432, 351},	// Nepomuk::TagWidget::setTaggedResources?
    {30, 443, 361},	// Nepomuk::TagWidget::staticMetaObject
    {30, 451, 348},	// Nepomuk::TagWidget::tagClicked#
    {30, 457, 342},	// Nepomuk::TagWidget::taggedResources
    {30, 491, 357},	// Nepomuk::TagWidget::tr$
    {30, 492, 335},	// Nepomuk::TagWidget::tr$$
    {30, 493, 337},	// Nepomuk::TagWidget::tr$$$
    {30, 495, 358},	// Nepomuk::TagWidget::trUtf8$
    {30, 496, 336},	// Nepomuk::TagWidget::trUtf8$$
    {30, 497, 338},	// Nepomuk::TagWidget::trUtf8$$$
    {30, 531, 366},	// Nepomuk::TagWidget::~TagWidget
    {31, 94, 381},	// Nepomuk::Thing::Thing
    {31, 95, -170},	// Nepomuk::Thing::Thing#
    {31, 96, 367},	// Nepomuk::Thing::Thing##
    {31, 97, 368},	// Nepomuk::Thing::Thing###
    {31, 98, 383},	// Nepomuk::Thing::Thing$
    {31, 99, 369},	// Nepomuk::Thing::Thing$#
    {31, 100, 370},	// Nepomuk::Thing::Thing$##
    {31, 112, 380},	// Nepomuk::Thing::addGroundingOccurrence#
    {31, 236, 377},	// Nepomuk::Thing::groundingOccurrences
    {31, 327, 379},	// Nepomuk::Thing::occurrences
    {31, 332, -175},	// Nepomuk::Thing::operator=#
    {31, 360, 378},	// Nepomuk::Thing::referencingOccurrences
    {31, 532, 384},	// Nepomuk::Thing::~Thing
    {32, 349, 385},	// Nepomuk::Types::qHash#
    {33, 1, 386},	// Nepomuk::Types::Class::Class
    {33, 2, -131},	// Nepomuk::Types::Class::Class#
    {33, 136, -134},	// Nepomuk::Types::Class::allParentClasses
    {33, 145, -137},	// Nepomuk::Types::Class::allSubClasses
    {33, 184, -140},	// Nepomuk::Types::Class::domainOf
    {33, 209, -143},	// Nepomuk::Types::Class::findPropertyByLabel$
    {33, 210, -146},	// Nepomuk::Types::Class::findPropertyByLabel$$
    {33, 212, -149},	// Nepomuk::Types::Class::findPropertyByName$
    {33, 271, -152},	// Nepomuk::Types::Class::isParentOf#
    {33, 280, -155},	// Nepomuk::Types::Class::isSubClassOf#
    {33, 332, 389},	// Nepomuk::Types::Class::operator=#
    {33, 340, -158},	// Nepomuk::Types::Class::parentClasses
    {33, 355, -161},	// Nepomuk::Types::Class::rangeOf
    {33, 445, -164},	// Nepomuk::Types::Class::subClasses
    {33, 514, 412},	// Nepomuk::Types::Class::~Class
    {34, 9, 433},	// Nepomuk::Types::Entity::Entity
    {34, 10, 413},	// Nepomuk::Types::Entity::Entity#
    {34, 164, -4},	// Nepomuk::Types::Entity::comment
    {34, 165, -7},	// Nepomuk::Types::Entity::comment$
    {34, 245, -10},	// Nepomuk::Types::Entity::icon
    {34, 255, -13},	// Nepomuk::Types::Entity::isAvailable
    {34, 293, 423},	// Nepomuk::Types::Entity::isValid
    {34, 296, -16},	// Nepomuk::Types::Entity::label
    {34, 297, -19},	// Nepomuk::Types::Entity::label$
    {34, 320, 415},	// Nepomuk::Types::Entity::name
    {34, 328, 428},	// Nepomuk::Types::Entity::operator QUrl
    {34, 330, -22},	// Nepomuk::Types::Entity::operator!=#
    {34, 332, 414},	// Nepomuk::Types::Entity::operator=#
    {34, 335, -25},	// Nepomuk::Types::Entity::operator==#
    {34, 368, 438},	// Nepomuk::Types::Entity::reset
    {34, 369, 426},	// Nepomuk::Types::Entity::reset$
    {34, 502, 416},	// Nepomuk::Types::Entity::uri
    {34, 505, 427},	// Nepomuk::Types::Entity::userVisible
    {34, 516, 439},	// Nepomuk::Types::Entity::~Entity
    {35, 43, 440},	// Nepomuk::Types::Literal::Literal
    {35, 44, -167},	// Nepomuk::Types::Literal::Literal#
    {35, 173, 445},	// Nepomuk::Types::Literal::dataType
    {35, 174, 444},	// Nepomuk::Types::Literal::dataTypeUri
    {35, 293, 446},	// Nepomuk::Types::Literal::isValid
    {35, 332, 443},	// Nepomuk::Types::Literal::operator=#
    {35, 521, 447},	// Nepomuk::Types::Literal::~Literal
    {36, 49, 448},	// Nepomuk::Types::Ontology::Ontology
    {36, 50, -117},	// Nepomuk::Types::Ontology::Ontology#
    {36, 134, 452},	// Nepomuk::Types::Ontology::allClasses
    {36, 137, 455},	// Nepomuk::Types::Ontology::allProperties
    {36, 202, 458},	// Nepomuk::Types::Ontology::findClassByLabel$
    {36, 203, 454},	// Nepomuk::Types::Ontology::findClassByLabel$$
    {36, 205, 453},	// Nepomuk::Types::Ontology::findClassByName$
    {36, 209, 459},	// Nepomuk::Types::Ontology::findPropertyByLabel$
    {36, 210, 457},	// Nepomuk::Types::Ontology::findPropertyByLabel$$
    {36, 212, 456},	// Nepomuk::Types::Ontology::findPropertyByName$
    {36, 332, 451},	// Nepomuk::Types::Ontology::operator=#
    {36, 523, 460},	// Nepomuk::Types::Ontology::~Ontology
    {37, 55, 461},	// Nepomuk::Types::Property::Property
    {37, 56, -179},	// Nepomuk::Types::Property::Property#
    {37, 157, -182},	// Nepomuk::Types::Property::cardinality
    {37, 183, -185},	// Nepomuk::Types::Property::domain
    {37, 254, -188},	// Nepomuk::Types::Property::inverseProperty
    {37, 271, -191},	// Nepomuk::Types::Property::isParentOf#
    {37, 282, -194},	// Nepomuk::Types::Property::isSubPropertyOf#
    {37, 301, -197},	// Nepomuk::Types::Property::literalRangeType
    {37, 308, -200},	// Nepomuk::Types::Property::maxCardinality
    {37, 312, -203},	// Nepomuk::Types::Property::minCardinality
    {37, 332, 464},	// Nepomuk::Types::Property::operator=#
    {37, 342, -206},	// Nepomuk::Types::Property::parentProperties
    {37, 354, -209},	// Nepomuk::Types::Property::range
    {37, 446, -212},	// Nepomuk::Types::Property::subProperties
    {37, 526, 487},	// Nepomuk::Types::Property::~Property
    {38, 102, 488},	// Nepomuk::Variant::Variant
    {38, 103, -28},	// Nepomuk::Variant::Variant#
    {38, 104, -36},	// Nepomuk::Variant::Variant$
    {38, 105, -45},	// Nepomuk::Variant::Variant?
    {38, 153, -59},	// Nepomuk::Variant::append#
    {38, 154, -66},	// Nepomuk::Variant::append$
    {38, 220, 614},	// Nepomuk::Variant::fromNode#
    {38, 222, 615},	// Nepomuk::Variant::fromNodeList?
    {38, 228, 613},	// Nepomuk::Variant::fromString$$
    {38, 256, 565},	// Nepomuk::Variant::isBool
    {38, 257, 577},	// Nepomuk::Variant::isBoolList
    {38, 258, 568},	// Nepomuk::Variant::isDate
    {38, 259, 580},	// Nepomuk::Variant::isDateList
    {38, 260, 570},	// Nepomuk::Variant::isDateTime
    {38, 261, 582},	// Nepomuk::Variant::isDateTimeList
    {38, 262, 566},	// Nepomuk::Variant::isDouble
    {38, 263, 578},	// Nepomuk::Variant::isDoubleList
    {38, 265, 561},	// Nepomuk::Variant::isInt
    {38, 266, 562},	// Nepomuk::Variant::isInt64
    {38, 267, 574},	// Nepomuk::Variant::isInt64List
    {38, 268, 573},	// Nepomuk::Variant::isIntList
    {38, 269, 560},	// Nepomuk::Variant::isList
    {38, 275, 572},	// Nepomuk::Variant::isResource
    {38, 276, 584},	// Nepomuk::Variant::isResourceList
    {38, 277, 567},	// Nepomuk::Variant::isString
    {38, 278, 579},	// Nepomuk::Variant::isStringList
    {38, 283, 569},	// Nepomuk::Variant::isTime
    {38, 284, 581},	// Nepomuk::Variant::isTimeList
    {38, 287, 563},	// Nepomuk::Variant::isUnsignedInt
    {38, 288, 564},	// Nepomuk::Variant::isUnsignedInt64
    {38, 289, 576},	// Nepomuk::Variant::isUnsignedInt64List
    {38, 290, 575},	// Nepomuk::Variant::isUnsignedIntList
    {38, 291, 571},	// Nepomuk::Variant::isUrl
    {38, 292, 583},	// Nepomuk::Variant::isUrlList
    {38, 293, 557},	// Nepomuk::Variant::isValid
    {38, 330, 556},	// Nepomuk::Variant::operator!=#
    {38, 332, -74},	// Nepomuk::Variant::operator=#
    {38, 333, -81},	// Nepomuk::Variant::operator=$
    {38, 335, 555},	// Nepomuk::Variant::operator==#
    {38, 336, -89},	// Nepomuk::Variant::operator=?
    {38, 441, 559},	// Nepomuk::Variant::simpleType
    {38, 460, 590},	// Nepomuk::Variant::toBool
    {38, 461, 602},	// Nepomuk::Variant::toBoolList
    {38, 462, 593},	// Nepomuk::Variant::toDate
    {38, 463, 605},	// Nepomuk::Variant::toDateList
    {38, 464, 595},	// Nepomuk::Variant::toDateTime
    {38, 465, 607},	// Nepomuk::Variant::toDateTimeList
    {38, 466, 591},	// Nepomuk::Variant::toDouble
    {38, 467, 603},	// Nepomuk::Variant::toDoubleList
    {38, 469, 586},	// Nepomuk::Variant::toInt
    {38, 470, 587},	// Nepomuk::Variant::toInt64
    {38, 471, 599},	// Nepomuk::Variant::toInt64List
    {38, 472, 598},	// Nepomuk::Variant::toIntList
    {38, 473, 611},	// Nepomuk::Variant::toNode
    {38, 474, 612},	// Nepomuk::Variant::toNodeList
    {38, 475, 597},	// Nepomuk::Variant::toResource
    {38, 476, 609},	// Nepomuk::Variant::toResourceList
    {38, 477, 592},	// Nepomuk::Variant::toString
    {38, 478, 604},	// Nepomuk::Variant::toStringList
    {38, 479, 594},	// Nepomuk::Variant::toTime
    {38, 480, 606},	// Nepomuk::Variant::toTimeList
    {38, 481, 588},	// Nepomuk::Variant::toUnsignedInt
    {38, 482, 589},	// Nepomuk::Variant::toUnsignedInt64
    {38, 483, 601},	// Nepomuk::Variant::toUnsignedInt64List
    {38, 484, 600},	// Nepomuk::Variant::toUnsignedIntList
    {38, 485, 596},	// Nepomuk::Variant::toUrl
    {38, 486, 608},	// Nepomuk::Variant::toUrlList
    {38, 487, 610},	// Nepomuk::Variant::toVariantList
    {38, 498, 558},	// Nepomuk::Variant::type
    {38, 510, 585},	// Nepomuk::Variant::variant
    {38, 533, 616},	// Nepomuk::Variant::~Variant
    {53, 24, 629},	// QGlobalSpace::LicensedActiveQt
    {53, 25, 635},	// QGlobalSpace::LicensedCore
    {53, 26, 627},	// QGlobalSpace::LicensedDBus
    {53, 27, 632},	// QGlobalSpace::LicensedDeclarative
    {53, 28, 622},	// QGlobalSpace::LicensedGui
    {53, 29, 641},	// QGlobalSpace::LicensedHelp
    {53, 30, 642},	// QGlobalSpace::LicensedMultimedia
    {53, 31, 645},	// QGlobalSpace::LicensedNetwork
    {53, 32, 634},	// QGlobalSpace::LicensedOpenGL
    {53, 33, 626},	// QGlobalSpace::LicensedOpenVG
    {53, 34, 643},	// QGlobalSpace::LicensedQt3Support
    {53, 35, 624},	// QGlobalSpace::LicensedQt3SupportLight
    {53, 36, 625},	// QGlobalSpace::LicensedScript
    {53, 37, 630},	// QGlobalSpace::LicensedScriptTools
    {53, 38, 633},	// QGlobalSpace::LicensedSql
    {53, 39, 631},	// QGlobalSpace::LicensedSvg
    {53, 40, 628},	// QGlobalSpace::LicensedTest
    {53, 41, 623},	// QGlobalSpace::LicensedXml
    {53, 42, 644},	// QGlobalSpace::LicensedXmlPatterns
    {53, 57, 617},	// QGlobalSpace::Q_COMPLEX_TYPE
    {53, 58, 621},	// QGlobalSpace::Q_DUMMY_TYPE
    {53, 59, 620},	// QGlobalSpace::Q_MOVABLE_TYPE
    {53, 60, 618},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {53, 61, 619},	// QGlobalSpace::Q_STATIC_TYPE
    {53, 62, 638},	// QGlobalSpace::QtCriticalMsg
    {53, 63, 636},	// QGlobalSpace::QtDebugMsg
    {53, 64, 639},	// QGlobalSpace::QtFatalMsg
    {53, 65, 640},	// QGlobalSpace::QtSystemMsg
    {53, 66, 637},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *nepomuk_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomuk_Smoke() {
    init_qtgui_Smoke();
    if (initialized) return;
    nepomuk_Smoke = new Smoke(
        "nepomuk",
        __smokenepomuk::classes, 79,
        __smokenepomuk::methods, 696,
        __smokenepomuk::methodMaps, 536,
        __smokenepomuk::methodNames, 533,
        __smokenepomuk::types, 298,
        __smokenepomuk::inheritanceList,
        __smokenepomuk::argumentList,
        __smokenepomuk::ambiguousMethodList,
        __smokenepomuk::cast );
    initialized = true;
}

void delete_nepomuk_Smoke() { delete nepomuk_Smoke; }

}
